Introduction

EasyDatabaseTM is an important part of E-Press EasyOffice office suite.

"What are the features of Easy Database?"

  • nb. Please see below information regarding features and version releases

  • EasyDatabase is a robust, full-featured database.

  • It can run in stand-alone mode, file-sharing mode or client-server mode (up to 38,000 clients can access the database simultaneously for a straightforward database on a fast server with occasional accessing).

  • Large databases with billions of records can be created. Millions of records can be queried in a split-second.

  • It is compatible with Microsoft FoxPro database files (dBASE/XBase compatible). Unfortunately, it is not compatible with Microsoft Access or Oracle file structures, although there is limited Access import and export.

  • It executes SQL queries.

  • It is ODBC compliant.

  • It allows you to use your database over the Internet via its ODBC, CGI (common gateway interface), ISAPI (Microsoft) or NSAPI (Netscape) interfaces.

  • It offers end-user security (ie, the security that really matters) that (in our opinion) vastly exceeds the security offered by competitive database software products.

  • It offers transparent reliability that (in our opinion) is as good as the reliability provided by the most expensive competitive database software products.

  • It is as easy to use as all the other programs in EasyOffice. You don't need to hire an 'EasyDatabase Developer' -- you can design and maintain your database yourself.

  • EasyDatabase can import data as text data, tab or CSV spreadsheets, Excel XLS spreadsheets, XBase (FoxPro) data, ZIP or TAR format, bar codes (suitable driver required) as well as limited Access imports.

  • EasyDatabase can export data as text, tab or CSV spreadsheet format, Excel XLS spreadsheet format, XBase (FoxPro) format, PDF format, HTML format, RTF or DOC format, ZIP or TAR format, barcodes, as well as limited Access exports.

  • EasyDatabase can produce reports in text format, tab or CSV spreadsheet format, Excel XLS spreadsheet format, XBase (FoxPro) format, PDF format, HTML format, RTF or DOC format

  • EasyDatabase can accept end-user inputs via keyboard, via touchscreen (suitable driver required), via speech input (English and Mandarin), via scanned barcode.

  • EasyDatabase can communicate with end-users via text, graphics or voice synthesis (English, Mandarin, most European languages).

"What is the cost of Easy Database? How do I obtain EasyDatabase?"

Since EasyDatabase is included with EasyOffice Freeware, for a single, personal (non-business) user, there is no cost for EasyDatabase (although we recommend that personal users obtain a UserID at our very economical prices, to benefit from increased features).

Since EasyDatabase is included with EasyOffice Premium, there is no extra cost for business users. (Due to the low costs of EasyOffice Premium, we do not license EasyDatabase separately. If you need 1000 licenses for EasyDatabase, you need to purchase 1000 licenses for EasyOffice Premium, which at current prices is about $1 per license.)

"Even though EasyDatabase is easy to use, I want YOU to set it up for us. Do you do setup work and customization work?"

Yes. We work every day to provide exceptional customer service, and custom work is just one more facet of the same. Our very professional (and smart) staff at E-Press is always happy to help. We provide customization work at US$55 per hour, payment for which is accepted via our online ordering (RegSoft) or via purchase order from larger companies and institutions.

Version 1.00+ -- Released in 2003

Version 1.00+ is a complete, working version of EasyDatabase. However, it is limited to stand-alone use (ie, database is on one computer, and only that computer can access the database), and a number of the import/export filters and features are greyed-out.

"If I pay an extra fee will the greyed-out features become active?"

No. We are currently working on these features. They will become active in version 2.00+ releases.

"If version 1.00+ is only for stand-alone use, why do you include EasyDatabase Server and why does TestDatabase program run in stand-alone, shared and client-server modes?"

EasyDatabase actually is capable of running in stand-alone, shared and client-server modes right now. However, a large amount of programming is still required before the product can actually be released for use in a business in these modes. However, many users have asked us about performance, and so, we have released EasyDatabase Server, which is the software that allows EasyDatabase to be be used in a client-server mode, and we have released TestDatabase to allow such users gauge the performance of EasyDatabase in shared and client-server modes.

Version2.00+ -- Released in 2004

Version 2.00+ of EasyDatabase allows both stand-alone and shared mode. In shared mode, the database is on one computer, and can be shared simultaneously by other users. It is intended for use in small offices with less than 10 users simultaneously accessing EasyDatabase.

As well, version 2.00+ has basic import/export filters, obviously a common need among our many users.

Version 3.00+ -- Released in 2005

Version 3.00+ of EasyDatabase allows stand-alone, shared and client-server mode. In client-server mode, the database is on a dedicated server, and a special software, 'EasyDatabase Server' runs on that server computer, and allows many client computers running EasyDatabase to access the server which contains the actual database. Version 3.00+ will be optimized for use in an office with less than 100 users simultaneously accessing EasyDatabase.

As well, version 3.00+ will have t he full set of import/export filters in place.

Version 4.00+ -- Released in 2006

Version 4.00+ of EasyDatabase allows stand-alone, shared, client-server and web mode. In web mode, the database is accessible by Internet users. Version 4.00+ will be optimized for use in an environment with thousands of simultaneous users.

Legal Disclaimer

These features represent the features anticipated by our development team at the time of writing this help file. Software development is often not predictable, and no guarantees are made that these versions will be released according to the timetable above. Conversely, some of the above features may appear earlier than listed above.


Introduction to EasyDatabase Tester

EasyDatabase Tester is a diagnostic program included in the EasyOffice suite.

EasyDatabase Tester ensures that EasyDatabase will run correctly on your computer or network. After creating a test database, EasyDatabase Tester will tell you how long it will take for a full query, to write a record, and lookup a record.

EasyDatabase can run in three modes: Stand-Alone Mode, File-Sharing Mode, and Client-Server Mode. EasyDatabase Tester can test EasyDatabase in any of these modes.


Opening EasyDatabase Tester

EasyDatabase Tester is a diagnostic program separate from EasyDatabase.

To open the EasyDatabase Tester program:

  1. Click on the Start menu in Windows.

  2. Put your cursor over Programs. A list of programs and folders will appear.

  3. Put your cursor over EasyOffice 2001. A list of EasyOffice programs will appear.

  4. Click TestDatabase. EasyDatabase Tester will open.


EasyDatabase Tester: Testing Stand-Alone Mode

Using EasyDatabase in Stand-Alone Mode means that it the database will be run on your computer only. This is practical for users who work from home, or who are creating a database for personal use.

To test Stand-Alone Mode of EasyDatabase on your computer:

  1. Open the EasyDatabase Tester program.

  2. You will be asked to select a mode for EasyDatabase Tester to test. Click Stand-Alone Mode, then click OK...Proceed with diagnostic test.

  3. You will have the option of either generating a database or using a test database you have created:

    • To generate a test database, click on the text box, and type in the number of records you expect your database to have. Do not include commas in the number you enter (e.g., enter 1000, not 1,000). Then, click Go ahead - generate and save this test database in My Documents. A database will be generated and stored in your My Documents folder.

    • To use a test database that you have already created, click I already have a generated test database and don't need to generate another one. Note that the test database you create must be named easydatabasetest.dbf. An Open window will appear. If you do not see the test file, click on the Look in box to move to another folder or directory. Click on the easydatabasetest.dbf file, then click Open.

  4. Click the Start Test button to start the test. After the test has been run, the average time taken for a full query, to write a random record, and to look up a random record will be given.


EasyDatabase Tester: Testing File-Sharing Mode

Using EasyDatabase in File-Sharing Mode is very similar to using EasyDatabase in Stand-Alone Mode, except that multiple users are connected to the database over a network. This is practical for business use; for example, a colleague could access a database on your computer over a network.

Generating a Test Database

Before testing EasyDatabase in File-Sharing Mode, you should use EasyDatabase Tester to generate a test file, and then move a copy of this test file to another computer.

To use EasyDatabase Test to generate a test file:

  1. Open the EasyDatabase Tester program.

  2. You will be asked to select a mode for EasyDatabase Tester to test. Click File-Sharing Mode, then click OK...Proceed with diagnostic test.

  3. A screen will appear giving details on File-Sharing Mode. Click OK...Proceed with diagnostic test to continue.

  4. Click on the text box, and type in the number of records you expect your database to have. Do not include commas in the number you enter (e.g., enter 1000, not 1,000).

  5. Click Go ahead - generate and save this test database in My Documents. A database will be generated and stored in your My Documents folder. The name of this generated database file will be easydatabasetest.dbf.

  6. Copy the easydatabasetest.dbf file to another computer on your network. Do this in Windows using My Computer or Windows Explorer.

  7. Click Cancel...Return back to main menu to begin the test.

Testing File-Sharing Mode

After you have generated a test file and moved it to another computer, you can test File-Sharing Mode of EasyDatabase over your network.

To test File-Sharing Mode:

  1. Open the EasyDatabase Tester program.

  2. You will be asked to select a mode for EasyDatabase Tester to test. Click File-Sharing Mode, then click OK...Proceed with diagnostic test.

  3. A screen will appear giving details on File-Sharing Mode. Click OK...Proceed with diagnostic test to continue.

  4. Click I already have generated a test database and don't need to generate another one.

  5. An Open window will appear.

  6. Click the Look in box, then click on the folder in the computer you copied the test file to.

  7. Click the easydatabasetest.dbf file.

  8. Click Open.

  9. Click the Start Test button to start the test. After the test has been run, the average time taken for a full query, to write a random record, and to look up a random record will be given.


EasyDatabase Tester: Testing Client-Server Mode

Using EasyDatabase in Client-Server Mode means that it the database is running on a server, and each computer can access the database over the network with a client program. An advantage of Client-Server Mode over File-Sharing Mode is that a larger number of users can access the database at once. Designating a server computer also yields improved security and reliability.

Testing Client-Server Mode on a Server Computer

To test Client-Server Mode of EasyDatabase if your computer is running the server:

  1. Ensure that your server is currently running. If you purchased the EasyOffice CD-ROM, the EasyDatabase Server Control Program will be installed. To open this program, click Start -> Programs -> EasyOffice 2001 -> EasyDatabase Server. When the program opens, click Start EasyDatabase Server.

  2. Open the EasyDatabase Tester program.

  3. You will be asked to select a mode for EasyDatabase Tester to test. Click Client-Server Mode, then click OK...Proceed with diagnostic test.

  4. Ensure that the first text box is left blank. If there is text in this box, click on it and erase the text.

  5. Click on the second text box, and type in the port number that the server accepts connections on. The default port number is 23156. Then, click OK...Proceed with diagnostic test.

  6. You will have the option of either generating a database or using a test database you have created:

    • To generate a test database, click on the text box, and type in the number of records you expect your database to have. Do not include commas in the number you enter (e.g., enter 1000, not 1,000). Then, click Go ahead - generate and save this test database in My Documents. A database will be generated and stored in your My Documents folder.

    • To use a test database that you have already created, click I already have a generated test database and don't need to generate another one. Note that the test database you create must be named easydatabasetest.dbf. An Open window will appear. If you do not see the test file, click on the Look in box to move to another folder or directory. Click on the easydatabasetest.dbf file, then click Open.

  7. Click the Start Test button to start the test. After the test has been run, the average time taken for a full query, to write a random record, and to look up a random record will be given.

Testing Client-Server Mode on a Client Computer

To test Client-Serve Mode of EasyDatabase if your computer is running a client program:

  1. Ensure that an EasyDatabase test file (easydatabasetest.dbf) has been generated on the server computer. Also ensure that the server is currently running.

  2. Open the EasyDatabase Tester program.

  3. You will be asked to select a mode for EasyDatabase Tester to test. Click Client-Server Mode, then click OK...Proceed with diagnostic test.

  4. Click on the first text box, and type in the name of the computer on which the server component of EasyDatabase is installed.

  5. Click on the second text box, and type in the port number that the server accepts connections on. The default port number is 23156.

  6. If you have a user name and password for the server, enter them in the User and Password boxes. If no user name and password have been assigned, type PUBLIC in the User box, and leave the Password box empty.

  7. Click OK...Proceed with diagnostic test.

  8. Click I already have generated a test database and don't need to generate another one.

  9. An Open window will appear.

  10. Click the Look in box, then click on the folder that contains the EasyDatabase test file on the server computer.

  11. Click the easydatabasetest.dbf file.

  12. Click Open.

  13. Click the Start Test button to start the test. After the test has been run, the average time taken for a full query, to write a random record, and to look up a random record will be given.


Closing EasyDatabase Tester

To close the EasyDatabase Tester program, do one of the following:

  • Click the Exit button in the bottom right corner of the EasyDatabase Tester window. Or,

  • Click the X button in the top right corner of the EasyDatabase Tester window.


What is a Database?

A database is a collection of information. Examples of databases include telephone books, dictionaries, stock lists, and teacher's grading books. Databases are often stored in the form of a table.

A database is made of individual records. Each record has several fields of information, and each record is in the same general format. In an address book, for example, a record would be an individual person or company, while the fields would be the name, street address, city, zip code, telephone number, fax number, and so on.

See Also:

What are Fields?

What are Records?


Opening EasyDatabase

To open the EasyDatabase program:

  1. Click on the Start menu in Windows.

  2. Put your cursor over Programs. A list of programs and folders will appear.

  3. Put your cursor over EasyOffice 2001. A list of EasyOffice programs will appear.

  4. Click EasyDatabase. EasyDatabase will open.

Note: If the EasyOffice icons are on your desktop, you can also open EasyDatabase by double-clicking the EasyDatabase icon.


Closing EasyDatabase

To exit the EasyDatabase program:

  1. Do one of the following:

    • Go to the File2 menu and click Exit EasyDatabase. Or,

    • Click the X button in the top right corner of the EasyDatabase window.

  2. You will be asked if you are sure that you want to exit. Click Yes.

  3. If any databases are currently open, you will be asked if you want to save the changes. To update the database files with any changes you made since the last time you saved, click Yes. To disregard any changes, click No.

The program will be closed.


Using EasyDatabase for the First Time

EasyDatabase is designed to be easy to use -- even for beginners. Here is some information to help first-time users get started.

Modes

EasyDatabase has three modes: Fields Mode, Table Mode, and Report Mode. Fields Mode and Table Mode are where you create your database, while Report Mode is where you can create reports from your database.

Fields Mode provides a typical database view, and will probably be the mode you most often use to design your database and enter data. Table Mode is useful when entering spreadsheet formulas to find totals and make other calculations, or when you want to have access to all records in your database at once.

For more information on these modes, see Modes: Fields, Table, and Report.

Creating a Database

Here are the steps that should be taken when creating your database in Fields Mode:

  1. Start a new database by clicking the New button. See also: Starting a New Database.

  2. If you are not already in Fields Mode, switch to Fields Mode. To do so, click the Field View button. See also: Modes: Fields, Table, and Report.

  3. Insert fields into your database. Fields are the categories of data you want to store. To insert a field, click the Insert Field button, then click on the type of field you want to insert. See also: What are Fields?, Inserting Character Fields, Inserting Number Fields, Inserting Date/Time Fields, Inserting Logical Fields, Inserting Selection Fields, Inserting Total Fields, Inserting Image Fields, Inserting Audio/Video Fields, Inserting Binary Fields, Inserting Binary Encrypted Fields.

  4. Add a record to your database by clicking the New Record button. See also: What are Records?, Adding New Records.

  5. Enter the data for directly into the fields on your screen. How you enter the data depends on the type of field. See also: Entering Character Data, Entering Number Data, Entering Date/Time Data, Entering Logical Data, Entering Selection Data, Entering Total Data, Entering Image Data, Entering Audio/Video Data, Entering Binary Data, Entering Binary Encrypted Data.

  6. Repeat steps 4 and 5 to add more records to your database.

  7. Save your database by clicking the Save button. See also: Saving a Database.

Creating Reports

Reports are created in Report Mode only. To create one or more reports from your current database:

  1. Switch to Report Mode by clicking the Report View button. See also: Modes: Fields, Table, and Report.

  2. Add a new report by clicking the Add button. See also: Starting a New Report.

  3. You new report will have 3 sections: PageHeader, Detail, and PageFooter. The Detail section is typically where you will insert fields. Titles, totals, and page numbers are typically placed in headers and footers. See also: Detail Section, Headers and Footers, Selecting Sections.

  4. Insert fields from your database into the Detail section of your report. Click on the Detail section, then go to the Insert Field menu and click on the field you want to insert. To move the field, click on it, then drag it to another location. See also: Inserting Fields, Moving Controls, Resizing Controls.

  5. Use the toolbar on your right to insert labels (text), images, shapes, lines, and other controls. See also: Inserting Labels, Inserting Text Boxes, Inserting Shapes, Inserting Images, Inserting Lines, Inserting Page Breaks.

  6. To print or view your report, you must run it. To do so, click the Run button. See also: Running a Report, Printing Reports.

Info Bar

The info appear on the right side of your screen, and is very helpful for beginning users. It displays instructions, tips, tutorials, and other information while you work. If you do not see the info bar, go to the View menu and click Info Bar. See also: Info Bar.


Modes: Fields, Table, and Report

EasyDatabase has three mode: Fields Mode, Table Mode, and Report Mode.

Fields Mode provides a typical database view. Fields can be inserted, deleted, moved, and modified. Data can be typed directly into the fields, and only one record is displayed at once.

In Table Mode, your database is presented in the form of an Excel-compatible spreadsheet. All fields and data are displayed in a table. Fields can be inserted, deleted, and modified. Data can be entered and modified by typing directly into the cells of the table. Table Mode is useful for performing arithmetic operations on fields by entering spreadsheet formulas.

In Report Mode, you can create, design, and run reports based on your database. Multiple reports can be created for one database.

Switching Between Modes

To switch to Fields Mode:

  • Go to the View Menu and click View Database in 'Fields Mode'. Or,

  • Right-click , so that a menu pops up. Then, click View Database in 'Fields Mode'. Or,

  • Click the Field View button.

To switch to Table Mode:

  • Go to the View Menu and click View Database in 'Table Mode'. Or,

  • Right-click , so that a menu pops up. Then, click View Database in 'Table Mode'. Or,

  • Click the Table View button.

To switch to Report Mode:

  • Go to the View Menu and click View Database in 'Report Mode'. Or,

  • Right-click , so that a menu pops up. Then, click View Database in 'Report Mode'. Or,

  • Click the Report View button.


Toolbar

The toolbar, located at the top of your screen below the main menu bar, contains buttons that allow quick access to common functions.

To show the toolbar:

  • Go to the View menu and check off Toolbar.

To hide the toolbar:

  • Go to the View menu and un-check Toolbar.


Status Bar

The status bar is located at the bottom of the EasyDatabase window. When you place your mouse cursor over a button on the toolbar, a description of the button appears in the status bar.

To show the status bar:

  • Go to the View menu and check off Status Bar.

To hide the status bar:

  • Go to the View menu and un-check Status Bar.


Info Bar

The info bar is along the right side of your screen, displaying helpful instructions, tips, and tutorials. While the info bar is useful for beginners, more advanced users may prefer to hide it.

To hide the info bar:

  • Click the Please remove this box button on the info bar. Or,

  • Go to the View menu and un-check Info Bar.

To show the info bar:

  • Go to the View menu and check off Info Bar.

Note: If you do not want the info bar to be shown upon startup of EasyDatabase, check off Don't show this box again on the info bar. If you want the info bar to be shown upon startup, ensure that this option is not checked off.


Tiling and Cascading Windows

It is possible to view more than one database window on the screen at once.

To display all open databases on your screen at once:

  1. Go to the Window menu at the top of your screen.

  2. Click one of the following:

    • Cascade: Windows will be layered on top on of one another.

    • Tile: Windows will be tiled and separated horizontally.

  3. Switch between databases by clicking on the database windows.

  4. To view a database in the full screen again, double-click the bar at the top of the database window (which displays the name of the database).


Switching Between Databases

More than one database can be open at a time. The number of databases you can have open depends on your computer's resources.

To switch to another open database, go to the Window menu, and click the filename of the database you want to view.


Keyboard Shortcuts

Some common functions can be performed directly from your keyboard using the following shortcuts:

Function | Shortcut
New Database | Ctrl+N
Open Database | Ctrl+O
Save Current Database | Ctrl+S
Print | Ctrl+P
Field Properties/Data Toggle | Ctrl+T
Find | Ctrl+F
Find Next | F3
Insert Field Menu | Alt+F
View Field Properties | Enter


Starting a New Database

The user who creates a new database is the administrator. Unlike other users of the database, the administrator can add new users, specify user privileges, delete existing users, and change user information.

To start a new, empty database:

  1. Do one of the following:

    • Go to the File menu and click New. Or,

    • Click the New button. Or,

    • Press Ctrl+N on your keyboard.

  2. A window will appear, where you will be taken through the following steps. To move to the next step, click Click here to go to the Next step in setting up your new database. To move to the previous step, click Back:

    • Step 1 - Who can use this database?: Specify who can view, write data to, modify the structure of, delete, and export data from your database.

    • Step 2 - Do you want to encrypt your database file on closing it?: If you want your database to automatically be zipped and encrypted upon closing it, then click Yes. If you do not want your database to be zipped and encrypted, click No. Zipping reduces the file size, while encryption ensures that those who make backups of the database cannot access its data.

    • Step 3 - I need a user name and password from you: Enter a user name in the first text box. Choose a password type from the selection box. A Normal Password uses numbers and letters, while an EasyPassword uses a list of images. Type the password for the user in the Password box, then type it again in the box below to confirm it. Note: Writing down your user name and password on paper and storing it in a safe place is recommend. E-press Corp. cannot recover lost user names and passwords.

    • Step 4 - Add Users to this database: If you want to add more users to your database, click Add a User to the list below. Users do not have to be added at this point -- they can also be added while you are working on or using your database. For more help on adding users, see Adding Users.

    • Step 5 - How large might the database be?: Select an estimated size for your database.

    • Step 6 - Starting a new database: When you are ready to start working on your database, click OK... next screen.

A new database will be created, ready for you to insert fields into. See Overview: Inserting Fields for more details and links.


Saving a Database

To save your current database:

Do one of the following:

  • Go to the File1 menu and click Save. Or,

  • Click the Save button. Or,

  • Press Ctrl+S on your keyboard.

If you have already saved your database, it will be saved automatically. If you have not yet saved your database, a Save As window will appear. Choose the folder or directory you want to save your database in from the Save in box, enter the name of your database in the File name box, and then click Save. Your database will be saved in four separate files:

  • EasyDatabase File (*.edb): Used by EasyDatabase.

  • (*.dbf): FoxPro and FoxPro-compatible database system file.

  • (*.cdx): FoxPro and FoxPro-compatible standard index file.

  • (*.fpt): FoxPro and FoxPro-compatible standard binary file.

Save As

If you have already saved your database, but would like to save it with a different file name, or in a different file location, you should save as.

To save as, go to the File1 menu and click Save As. The Save As window will appear. Select the new file location from the Save in box, and enter the new file name in the File name box. When you are finished making your changes, click Save. A new file will be created, and your old database file will not be overwritten.


Opening a Database

To retrieve a database that you have previously saved:

  1. Do one of the following:

    • Go to the File menu and click Open. Or,

    • Click the Open button. Or,

    • Press Ctrl+O on your keyboard.

  2. An Open window will appear. Select the database file that you wish to open. If you do not see the file you are looking for, you can change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

  3. A Login window will appear. Type your user name in the User Name box, then click the OK button. If your user name is valid, the database will open. If the user name you entered is not valid, an error message will appear.


Closing a Database

To close your current database:

  • Go to the File1 menu and click Close current database. Or,

  • Click the X button in the upper right corner of the database window.

When you have closed the database, you will also be logged off from the database.


Windows Compatibility of EDB Files

If your database will be run on different computers, you must consider the compatibility of EDB files created with different versions of Windows.

Because of changes in encryption facilities among different versions of Windows, EDB files created using newer versions will not run on older versions. A database created on WindowsNT, for example, will not run on Windows95. Forwards compatibility, however, does exist. A database created on Windows95 will also run on Windows98, WindowsME, Windows2000, WindowsNT, WindowsXP, and so on.

Forwards and backwards compatibility exists among WindowsNT, Windows2000, and WindowsXP. Databases created on one of these versions will run on all three.


What are Fields?

Fields are the categories of data in a database. Data is entered into the fields of a database for each record.

The image below shows a sample database in Fields Mode of EasyDatabase. Each field you insert appears individually on your screen. The fields include Product ID, Type, Name, Description, Price, and Image. The data within these fields is viewed and edited one record at a time.

The next image shows the same database in Table Mode of EasyDatabase. Each column of the table represents a field. In Table Mode, all records in your database are viewed at once.

Field Types

Fields can be used to store several varieties of data. The types of fields allowed by EasyDatabase are:

  • Character Fields : Store strings of any combination of letters, numbers, punctuation marks, standard keyboard symbols, and spaces.

  • Number Fields : Store whole or decimal numbers.

  • Date/Time Fields : Store dates and times.

  • Logical Fields : Store TRUE and FALSE values.

  • Selection Fields: Store one choice from a list of options.

  • Total Fields : Display calculation results using spreadsheet formulas.

  • Image Fields : Store GIF, JPG, BMP, and ICO picture files.

  • Audio/Video Fields : Store AVI files.

  • Binary Fields : Store files of any type.

  • Binary Encrypted Fields : Store and encrypt files of any type.


What are Field Categories?

Field categories are used for security purposes only. They allow users to have access to certain fields, but not to have access to others.

Each field in your database is assigned a category (A, B, C, and so on). This category is selected when the field is inserted, and it can also be changed at any time. To view the category of a field,

When the administrator of the database adds users or edits user information, the user's privileges are specified. These privileges include which categories of fields the user is allowed to view, edit, and export data from. The user will only be able to view, edit, and/or export data from the categories checked off by the administrator.


Inserting Character Fields

Character fields store any combination of letters, numbers, punctuation marks, standard keyboard symbols (e.g., #, @, * ), and spaces. Note that if a character field is used to store numbers, these numbers cannot be used in calculations.

To insert a character field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Character Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Character Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Character Field.

  2. An Insert Character Field window will appear.

  3. Enter the name of your field in the first text box. For example, if you intend to use the field to store street addresses, you could name the field 'Address'.

  4. Enter the maximum number of characters allowed for the field. For example, if your field is for state or province codes, you could limit the number of characters to 2.

  5. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of fields. See Adding Users for details.

  6. Click OK. The field will be inserted into your database.

Note: For help on entering data into your character field, see Entering Character Data.


Inserting Number Fields

Number fields store whole or decimal numbers. If total fields are also used, then calculations can be performed in your database using the contents of number fields. Calculation can also be performed on number fields in your reports.

To insert a number field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Number Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Number Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Number Field.

  2. An Insert Number Field window will appear.

  3. Enter the name of your field in the first text box. For example, if you intend to use the field to store telephone numbers, you could name the field 'Phone'.

  4. Enter the maximum number of digits allowed before the decimal place in the second text box. For example, if your field is for 10-digit telephone numbers, you could limit the number of digits to 10.

  5. Enter the maximum number of digits allowed after the decimal place in the third text box. If you plan to use only whole numbers (without decimal places), enter '0'.

  6. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of fields. See Adding Users for details.

  7. Click OK. The field will be inserted into your database.

Note: For help on entering data into your number field, see Entering Number Data.


Inserting Date/Time Fields

Date/Time fields allow you to store dates and times with your records.

To insert a date/time field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Date/Time Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Date/Time Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Date/Time Field.

  2. An Insert Date/Time Field window will appear.

  3. Enter the name of your field in the first text box.

  4. If you want your date to be in the form January 15, 2003, check off Show Long Date. If you want your date to be in the form 01/15/2003, leave Show Long Date unchecked.

  5. If you want your field to show the time, check off Show Time. If you leave this option unchecked, only the date will be displayed.

  6. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of fields. See Adding Users for details.

  7. Click OK. The field will be inserted into your database.

Note: For help on entering data into your date/time field, see Entering Date/Time Data.


Inserting Logical Fields

Logical fields store either TRUE or FALSE. In Fields Mode, logical fields appear in the form of a check box.

To insert a logical field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Logical Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Logical Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Logical Field.

  2. An Insert Logical Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  5. Click OK. The field will be inserted into your database.

Note: For help on entering data into your logical field, see Entering Logical Data.


Inserting Selection Fields

Selection fields involve list of options. One option can be chosen from this list for each record.

To insert a selection field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Selection Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Selection Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Selection Field.

  2. An Insert Selection Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Enter the values you want your selection field to hold. For example, if your field will be used to store the grades of students, your selection values could be A+, A, B+, B, C+, and so on.

    • To enter a selection value, type the value in the text box, then click the Add button. The value will be displayed in the box below.

    • To remove a selection value that you have added, click the value, and then click the Remove button.

    • To move a selection value upwards in the list, click the value, and then click the Move Up button. To move a selection downwards, click the Move Down button.

  5. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  6. Click OK. The field will be inserted into your database.

Note: For help on entering data into your selection field, see Entering Selection Data.


Inserting Total Fields

Total fields allow you to calculate totals of other numeric fields. They can also be used to perform calculations on numeric fields using any spreadsheet formulas.

To insert a total field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Total Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Total Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Total Field.

  2. An Insert Total Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Enter the maximum number of digits allowed before the decimal place in the second text box.

  5. Enter the maximum number of digits allowed after the decimal place in the third text box. If you want to use only whole numbers (without decimal places), enter '0'.

  6. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  7. Click OK. The field will be inserted into your database. If you are not already in Table Mode, you will automatically be transferred.

Note: For help on using spreadsheet formulas in your total field, see Entering Total Data.


Inserting Image Fields

Image fields store and display pictures. These pictures can be GIF, JPG, BMP, or ICO files.

To insert an image field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Image Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Image Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Image Field.

  2. An Insert Image Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  5. Click OK. The field will be inserted into your database.

Note: For help on loading an image into your image field, see Entering Image Field Data.


Inserting Audio/Video Fields

Audio/video fields allow you to store and play audio/video clips. These clips must be files in the AVI format.

To insert an audio/visual field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Audio/Visual Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Audio/Visual Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Audio/Visual Field.

  2. An Insert Audio/Visual Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  5. Click OK. The field will be inserted into your database.

Note: For help on entering data into your audio/video field, see Entering Audio/Video Data.


Inserting Binary Fields

Binary fields allow you to store the contents of files of any type.

To insert a binary field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Binary Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Binary Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Binary Field.

  2. An Insert Binary Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  5. Click OK. The field will be inserted into your database.

Note: For help on entering data into your binary field, see Entering Binary Data.


Inserting Binary Encrypted Fields

Like binary fields, binary encrypted fields store the contents of files of any type; however, these contents will also be encrypted.

To insert a binary encrypted field:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Binary Encrypted Field. Or,

    • Press Alt+F on your keyboard, then click Insert new Binary Encrypted Field. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Binary Encrypted Field.

  2. An Insert Binary Encrypted Field window will appear.

  3. Enter the name of your field in the first text box.

  4. Select a category from the Field Category box. This is necessary only if you have specified that certain users have access to certain categories of data. See Adding Users for details.

  5. Click OK. The field will be inserted into your database.

Note: For help on entering data into your binary encrypted field, see Entering Binary Encrypted Data.


Editing Fields

You can edit the names, categories, and other properties of fields you have already inserted.

To edit field properties:

  1. In Fields Mode, click on the field you want to edit. Once selected, a dashed box will appear around the field. In Table Mode, select the field by clicking the gray button at the top of your table that contains the field's name. Once selected, the entire column of data should be highlighted in black.

  2. Do one of the following:

    • Go to the View menu and click Properties. Or,

    • Right-click, so that a pop up menu appears. Then, click Properties. Or,

    • Press Enter on your keyboard.

  3. An Edit Field window will appear, where you can change the name, category, and other information. When you are finished making your changes, click OK.


Deleting Fields

When a field is deleted, it will be removed from your database. All data in the field for each record will be deleted.

Deleting Fields in Fields Mode

To delete field(s) in Fields Mode:

  1. Click on the field you want to delete. To delete multiple fields at once, click on one field, then hold down the Ctrl key while you click on the other fields. Dashed borders should appear around the fields you have selected.

  2. Do one of the following:

    • Go to the Edit menu and click Delete. Or,

    • Press the Delete key on your keyboard.

Deleting Fields in Table Mode

To delete field(s) in Table Mode:

  1. Select the fields you want to delete. To select a field, click its column header button at the top of your table. For details on selecting fields, see Selecting Columns (Fields).

  2. Do one of the following:

    • Go to the Edit menu and click Delete. Or,

    • Press the Delete key on your keyboard.


What are Records?

A record is an individual in a database. All records in a database have the same fields or categories. For example, in a database of patient information at a medical clinic, a record would be one patient. The fields for a patient include his or her name, health card number, insurance number, telephone number, and so on.


Adding New Records

To add a new record:

  • Go to the Record menu and click Get a New Record. Or,

  • Click the New Record button.

In Fields Mode, a new record with empty fields will appear. In Table Mode, a blank row (or record) will be added to the bottom of your table.


Saving Records

Records are saved automatically when you enter data into its fields. You can also save records manually.

To save your current record manually, do one of the following:

  • Go to the Record menu and click Save this record. Or,

  • Click the Save Record button.


Refreshing Records

To update the record that you are currently viewing in Fields Mode, or to refresh the record that is currently selected in Table Mode:

  • Go to the Records menu and click Refresh this Record. Or,

  • Click the Refresh Record button.


Navigating Records

In Fields Mode, only one record is viewed at once; however, you can easily move to other records in your database.

To go to the next record:

  • Go to the Record menu and click Get the Next Record. Or,

  • Click the Next Record button.

To go to the previous record:

  • Go to the Record menu and click Get the Previous Record. Or,

  • Click the Previous Record button.

To go to the first record:

  • Go to the Record menu and click Get the First Record. Or,

  • Click the First Record button.

To go to the last record:

  • Go to the Record menu and click Get the Last Record. Or,

  • Click the Last Record button.


Deleting Records

To delete a record:

  1. In Fields Mode, ensure that the record you want to delete is currently displayed on your screen. In Table Mode, select the row of the record you want to delete. To select a row, click the gray button on the left side of your table.

  2. Do one of the following:

    • Go to the Record menu and click Delete this Record. Or,

    • Click the Delete Record button.


Searching Records

EasyDatabase allows you to search all of your records for text you specify. This is especially useful for databases with a large quantity of records.

To search:

  1. Do one of the following:

    • Go to the Search menu and click Find. Or,

    • Press Ctrl+F on your keyboard.

  2. A Find window will appear.

  3. Click the down arrow on the In field box, so that a list of the fields in your database appears. Click on the field you want to search in.

  4. Click on the Find what box, then type in the text that you are searching for.

  5. To find the first occurrence of the text you are searching for, click Find First. To find the next occurrence, click Find Next.

  6. Click Cancel to return to your database.

After ending your search, you can continue it at a later time while you are working on your database. To find the next occurrence of the text you were looking for in your last search:

  • Go to the Search menu and click Find Next. Or,

  • Press the F3 key on your keyboard.


Entering Character Data

Character data consists of any combination of letters, numbers, punctuation marks, standard keyboard symbols, and spaces. Before entering character data, you must have inserted a character field into your database. For help on inserting character fields, see Inserting Character Fields.

Entering Character Data in Fields Mode

To enter character data, click on the text box for the character field, then type in your data. Your typing will be stopped when you reach the maximum number of characters.

Entering Character Data in Table Mode

To enter character data, click on the cell you want to enter data into, then type directly into the cell.

Changing the Number of Characters

To change the maximum number of characters:

  1. Open the properties window for the character field. ee Editing Fields for help.


Entering Number Data

Number data is simply a number. Before entering number data, you must have inserted a number field into your database. For help on inserting number fields, see Inserting Number Fields.

Entering Number Data in Fields Mode

To enter number data, type the numbers directly into the field. Your typing will be stopped when you reach the maximum number of digits.

If the maximum number of decimal places you specified is greater than zero, then a second text box will be displayed. In this box, type the digits you want to appear after the decimal place.

Entering Number Data in Table Mode

To enter number data, click on the cell you want to enter data into, then type the number directly into the cell. The number of decimal places will be adjusted according to the maximum number of decimal places you specified.

Changing the Number of Digits

To change the maximum number of digits before or after the decimal place, you must edit the properties of your number field. See Editing Fields for help.


Entering Date/Time Data

Before entering date/time data, you must have inserted a date/time field into your database. For help on inserting date/time fields, see Inserting Date/Time Fields.

Entering Date/Time Data in Fields Mode

To enter the date in Fields Mode:

  1. Click on the down arrow on the date/time field you want to enter the date into.

  2. A calendar will appear. To view the next month, click the right arrow button. To view the previous month, click the left arrow button.

  3. Click on the day you want to select. The date will be changed accordingly.

Tip: Instead, you can adjust the date by typing directly into the field. Click on the name of the month in the text box, then use the up or down arrow key on your keyboard to move to the next or previous month, respectively. The day and year can also be changed using this method.

To enter the time in Fields Mode:

  1. In the date/time field, click on the hour, minutes, or seconds that you want to change. Your selection will be highlighted in blue.

  2. Do one of the following:

    • Use the up or down arrow key to increase or decrease the time, respectively. Or,

    • Type the new time directly in the field.

Entering Date/Time Data in Table Mode

To enter the date and time in Table Mode:

  1. Click on the cell that contains the date and/or time you want to change.

  2. Type the new date directly in the cell. If your date is displayed in long form, ensure that you type it in the form January 15, 2003. If your date is not displayed in long form, ensure that you type it in the form 01/15/2003. If you have displayed the time, it should follow the date and be typed in the form HH:MM:SS. A 24-hour clock is used.


Entering Logical Data

Logical data is simply either TRUE or FALSE. Before entering logical data, you must have inserted a logical field into your database. For help on inserting logical fields, see Inserting Logical Fields.

Entering Logical Data in Fields Mode

To enter TRUE or YES, check off the box in the logical field. To enter FALSE or NO, leave the box unchecked.

Entering Logical Data in Table Mode

To enter TRUE or YES, click on the cell whose logical value you want to change, then type TRUE. To enter FALSE or NO, click on the cell whose logical value you want to change, then type FALSE.


Entering Selection Data

Selection data is simply one of the choices from the list you created. Before entering selection data, you must have inserted a selection field into your database. For help on inserting selection fields, see Inserting Selection Fields.

Entering Selection Data in Fields Mode

To choose a selection value in Fields Mode:

  1. Click on the down arrow on the selection field you want to choose a selection from.

  2. A box showing your selections will appear. If you do not see the selection you are looking for, use the scrollbar on the right side of the box.

  3. Click on the selection you want to choose for your current record.

Entering Selection Data in Table Mode

In Table Mode, you cannot access the list of options for a selection field. To enter selection data, click on the cell you want to enter data into, then type directly into the cell. You must type the option as it appears in the list (it is not, however, case-sensitive). If the text you type does not appear on the list of options for the selection field, the first option will be chosen.


Entering Total Data

Before entering total data, you must have inserted a total field into your database. For help on inserting total fields, see Inserting Total Fields.

Total data is entered in Table Mode only. Total data cannot be entered in Fields Mode, and total fields cannot be inserted into reports. For help on switching between modes, see Modes: Fields, Table, and Report .

In Table Mode, formulas can be entered into table field cells just as they would in EasySpreadsheet and other spreadsheet programs. For help on entering spreadsheet formulas into total fields, see Entering Spreadsheet Formulas.

All of the functions allowed in EasySpreadsheet are also allowed in Table Mode of EasyDatabase. For help on entering spreadsheet functions into total fields, see Entering Spreadsheet Functions.


Entering Image Data

Image data can be GIF, JPG, BMP, or ICO files. Before you can load an image for a record, you must have inserted an image field into your database. For help on inserting image fields, see Inserting Image Fields.

Entering Image Data in Fields Mode

To load an image for a record in Fields Mode:

  1. Do one of the following:

    • Click on the image field you want to load an image into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the image field you want to load an image into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the image file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your image file, click Open.

The image file you selected will be loaded for your current record. A thumbnail of the image will appear in the field.

Entering Image Data in Table Mode

To load an image for a record in Table Mode:

  1. Do one of the following:

    • Click on the cell you want to load an image into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the cell you want to load an image into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the image file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your image file, click Open.

The image file you selected will be loaded for your selected cell. PICTURE will appear in the cell.


Entering Audio/Video Data

Audio/Video data must be an AVI file. Before you can load an audio/video file for a record, you must have inserted an audio/video field into your database. For help on inserting audio/video fields, see Inserting Audio/Video Fields.

Entering Audio/Video Data in Fields Mode

To load an audio/video file for a record in Fields Mode:

  1. Do one of the following:

    • Click on the audio/video field you want to load a file into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the audio/video field you want to load a file into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the AVI file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

The audio/video file you selected will be loaded for your current record.

Note: Remember that in Fields Mode, you should save your record when you are finished editing its data. See Saving Records for details.

Entering Audio/Video Data in Table Mode

To load an audio/video file for a record in Table Mode:

  1. Do one of the following:

    • Click on the cell you want to load an audio/video file into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the cell you want to load an audio/video into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the AVI file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your audio/video file, click Open.

The audio/video file you selected will be loaded for your selected cell. VIDEO will appear in the cell.


Entering Binary Data

Binary data can be a file of any type. Before entering binary data, you must have inserted a binary field into your database. For help on inserting binary fields, see Inserting Binary Fields.

Entering Binary Data in Fields Mode

To load binary data for a record in Fields Mode:

  1. Do one of the following:

    • Click on the binary field you want to load a file into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the binary field you want to load a file into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

The file you selected will be loaded for your current record.

Entering Binary Data in Table Mode

To load binary data for a record in Table Mode:

  1. Do one of the following:

    • Click on the cell you want to load a file into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the cell you want to load a file into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

The file you selected will be loaded for your selected cell. DATA will appear in the cell.


Entering Binary Encrypted Data

Binary encrypted data can be a file of any type. Before entering binary encrypted data, you must have inserted a binary encrypted field into your database. For help on inserting binary encrypted fields, see Inserting Binary Encrypted Fields.

Entering Binary Encrypted Data in Fields Mode

To load binary encrypted data for a record in Fields Mode:

  1. Do one of the following:

    • Click on the binary encrypted field you want to load a file into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the binary encrypted field you want to load a file into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

The file you selected will be loaded for your current record. The key will changed from blue to purple.

Note: Remember that in Fields Mode, you should save your record when you are finished editing its data. See Saving Records for details.

Entering Binary Encrypted Data in Table Mode

To load binary encrypted data for a record in Table Mode:

  1. Do one of the following:

    • Click on the cell you want to load a file into, then go to the Edit menu and click Load Data. Or,

    • Right-click on the cell you want to load a file into, so that a pop up menu appears. Then, click Load Data.

  2. An Open window will appear. Select the file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

The file you selected will be loaded for your selected cell. ENCRYPTED DATA will appear in the cell.


Clearing Data

You can quickly clear the data you have entered in a field.

To clear data:

  1. In Fields Mode, click on the field that contains the data you want to clear. In Table Mode, click on the cell you want to clear.

  2. Go to the Edit menu, and click Clear data.


Print Preview

To see what your database will look like when printed in Fields Mode or Table Mode:

  1. Go to the File2 menu and click Print Preview.

  2. Your database will appear as it will when printed. If you are in Fields Mode, one record will be printed on each page. If you are in Table Mode, a table of records will be printed.

  3. By default, you will view one page at a time. To view two pages at once, click Two Page.

  4. To enlarge the page, click Zoom In. To shrink the page, click Zoom Out.

  5. To see the next page, click Next Page. To see the previous page, click Prev Page.

  6. To print your records, click Print.

  7. To return to your database, click Close.


Printing Records

You can print out one or more records in your database.

Printing One Record

To print out one record:

  1. Ensure that you know the number of the record you want to print. If you do not know the record number, switch to Table Mode by clicking the Table View button, then look at the row number for the record on the left side of the table.

  2. Switch to Fields Mode by clicking the Field View button

  3. Do one of the following:

    • Go to the File2 menu and click Print. Or,

    • Click the Print button. Or,

    • Press Ctrl+P on your keyboard.

  4. A Print window will appear.

  5. Under Print range, click Pages, then type the number of your record in both the from and to boxes.

  6. Click OK. The record you specified will be printed.

Printing All Records

You can print out all the records in your database. Each record will be printed on its own page.

To print all records in your database:

  1. Switch to Fields Mode by clicking the Field View button

  2. Do one of the following:

    • Go to the File2 menu and click Print. Or,

    • Click the Print button. Or,

    • Press Ctrl+P on your keyboard.

  3. A Print window will appear.

  4. Under Print range, click All.

  5. Click OK. Your records will be printed.


Printing Tables

You can print out a table of your records.

To print your records in a table:

  1. Switch to Table Mode by clicking the Table View button

  2. Do one of the following:

    • Go to the File2 menu and click Print. Or,

    • Click the Print button. Or,

    • Press Ctrl+P on your keyboard.

  3. A Print window will appear.

  4. Click OK. Your table of records will be printed.


Inserting Boxes

Fields Mode: Inserting Boxes

In Fields Mode, you can insert boxes into your database. These boxes do not store data, but they can be used as borders or frames for fields, as shown below. Boxes can be moved and resized like regular fields.

To insert a box:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Box 'Field'. Or,

    • Press Alt+F on your keyboard, then click Insert new Box 'Field'. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Box 'Field'.

  2. An Insert Box 'Field' window will appear.

  3. Enter the name of your box in the text box. This name will appear along the border of the box you insert. If you do not want your box to have a name, leave the text box empty.

  4. Click OK. The box will be inserted into your database.


Fields Mode: Inserting Text

In Fields Mode, you can insert lines of text into your database. While these lines of text do not store data, they can be used to display descriptions of fields or other information on your screen. Lines of text can be moved and resized like regular fields.

To insert text:

  1. Do one of the following:

    • Go to the Insert Field menu and click Insert new Line of Text. Or,

    • Press Alt+F on your keyboard, then click Insert new Line of Text. Or,

    • Click the Insert Field button on the toolbar. A pop up menu will appear. Click Insert new Line of Text.

  2. An Insert Line Field window will appear.

  3. Enter the text you want to appear on your database screen in the text box.

  4. Click OK. The text box will be inserted into your database.


Fields Mode: Moving and Resizing Fields

In Fields Mode, you can move fields to other locations on your screen, and you can also adjust their sizes.

To move a field, simply drag it to its new location. To drag a field, click on it with your left mouse button, so that a dashed border appears. Continue to hold down your mouse button, and move your mouse to place the field in its new location. Once the desired location is reached, release your mouse button.

To resize a field, click on it once with your left mouse button, so that a dashed border appears. Move your mouse to one of the gray squares along this border. Your cursor will change into a double-headed arrow. Hold down your left mouse button and move the square to resize the field. Dragging a square on a side changes one dimension, while dragging a square on a corner allows you to change both the height and width.


Fields Mode: Tab Order

In Fields Mode, you can jump from one field to another by pressing the Tab key on your keyboard. Tab order is the order in which fields are visited when the Tab key is pressed.

To view the tab order in Fields Mode, go to the Edit menu and click Tab Order. Numbers will appear on each field, indicating the tab order. To remove the numbers, click outside of the fields.

Changing the Tab Order

By default, the tab order is the same as the order in which the fields were inserted; however, the tab order can be changed at any time.

To change the tab order:

  1. In Fields Mode, go to the Edit menu and click Tab Order.

  2. Numbers will appear on each field, indicating the current tab order.

  3. Click on the field you want to be visited first. Its number will change to 1.

  4. Click on the field you want to be visited second. Its number will change to 2.

  5. Continue clicking on the fields in sequence until you are satisfied with the tab order.

  6. Click outside of the fields. This will remove the numbers and allow you to continue using your database.


Table Mode: Selecting Rows (Records)

Each row in the table represents a record in your database.

To select one record, click its row header button. The row header buttons are the gray buttons on the left side of the table (1, 2, 3, and so on).

To select adjacent records, click a row header button, hold down the mouse button, and move the cursor over the other rows you want to select.

To select nonadjacent records, click a row header button. Hold down the Ctrl key while you click the header buttons of the other records you want to select.


Table Mode: Selecting Columns (Fields)

Each column in the table represents a field category in your database.

To select one field, click its column header button. The column header buttons are the gray buttons at the top of the table (A, B, C, and so on).

To select adjacent fields, click a column header button, hold down the mouse button, and move the cursor over the other fields you want to select.

To select nonadjacent fields, click a column header button. Hold down the Ctrl key while you click the header buttons of the other fields you want to select.


Table Mode: Selecting Cells

The individual rectangles (or squares) in a table are called cells. A column and a row intersect at a cell. For example, if you go down column B and across row 5, you will come to cell B5. Each cell in your table displays the data in a field for a record.

To select a cell:

  1. Move your cursor to the cell you want to select.

  2. Click the left mouse button.

  3. The cell will be selected. A heavy border will appear around the cell.

Selecting Cell Ranges

You can select more than one cell at a time. To select a range (i.e., block) of cells:

  1. Move your cursor to the first cell you want to select.

  2. Click, and hold down, the left mouse button.

  3. Without releasing the mouse button, move your cursor the last cell of the range you want to select. The cells you have selected will be highlighted and surrounded by a heavy border.

  4. Release the mouse button.

Example:

Perhaps you want to select the cells from C5 to E10.

  1. Put your cursor inside C5.

  2. Click (and hold down) the left mouse button.

  3. Without letting go of the left mouse button, move the cursor down to E10. All the cells from C5 to E10 will be selected and surrounded by a heavy border

  4. Release the mouse button.

Note that the range of the cells from C5 to E10 can be written as C5:E10.

Selecting Different Cells

When you select a cell range, the cells must be in the same rows or columns. You can, however, select multiple cells that are not in the same rows and columns.

To select multiple cells:

  1. Left-click on the first cell you want to select.

  2. Hold down the Ctrl key while you click the other cells (or cell ranges) that you want to select.

De-selecting Cells

To de-select a group of cells, simply click the mouse anywhere within your table.


Table Mode: Resizing Rows and Columns

Like EasySpeadsheet and other spreadsheet programs, the height of rows and the widths of columns can be adjusted.

To resize a row or column:

  1. Move the cursor to the border between row or column header buttons (these are the gray buttons that are on the left side and at the top of your table). The cursor will change to a double-headed arrow.

  2. Click and hold down the left mouse button, and move the cursor. Drag the entire column or row border to a new position.

  3. When you are finished adjusting the size, release the mouse button.


Table Mode: Cell References and Ranges

A cell reference is a cell's location in a table, given by the intersection of its column and row. For example, the cell at the intersection of column A and row 2 has the cell reference A2.

Cell references are useful when entering formulas and functions. If cell references are used, the formulas and functions you enter can include values from other cells in your sheet.

To refer to a cell, or group of cells:

Cells | Reference | Example
Single Cell | cell reference. | A1
Cell List | cell references, separated by commas (,) | A1, A3, B2, B5
Cell Range | cell reference of first and last cell of the range, separated by a colon (:) | A1:A4
Range List | cell ranges, separated by commas (,) | A1:B5, C1:C3, D1:D5

Cell Reference Examples

Formula / Function | Description
=A1+A2 | Returns the sum of the values in cells A1 and A2.
=AVERAGE(B2, B5, B10) | Returns the average of the values in cells B2, B5, and B10.
=SUM(A1:C5) | Returns the sum of the values in cells A1 to C5.
=SUM(A1:A3, C1:C4, D1:D2) | Returns the sum of the values in cells A1 to A3, C1 to C4, and D1 to D2.
=SUM(B2:B5, C2) | Returns the sum of the values in cells B2 to B5, and C2.
=FIXED(C5) | Returns the value in cell C5, rounded to two decimal places.


Table Mode: Relative and Absolute Cell References

The reference of a cell is its location, given by the intersection of its column and row. For example, the cell at the intersection of column E and row 5 has the cell reference E5.

Relative Cell References

A relative cell reference is relative to the cell's position in the table. If a formula is copied from one cell and pasted into another, the relative cell reference will change.

For example, perhaps the formula =A1+A2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =B1+B2.

  • If you paste the formula into cell A7, the formula will be pasted as =A5+A6.

Absolute Cell References

An absolute cell reference always refers to a cell at a specific location, regardless of the position in the sheet. Absolute cell references can also refer to a specific column or row. When copying and pasting formulas, absolute references do NOT change.

To make an absolute cell reference, simply type a dollar sign ($) before the row or column that you wish to keep constant:

Reference | Description
A1 | This is a relative cell reference. When copied and pasted, both the row and column will change accordingly.
$A1 | The column A has an absolute reference. When copied and pasted, the column will not change; however, the row has a relative reference, and will change accordingly.
A$1 | The row 1 has an absolute reference. When copied and pasted, the row will not change; however, the column has a relative reference, and will change accordingly.
$A$1 | This is an absolute cell reference. A1 will remain constant; when copied an pasted, the row and column will not change.

For example, perhaps the formula =$A1+$A2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =$A1+$A2.

  • If you paste the formula into cell A7, the formula will be pasted as =$A5+$A6.

  • When pasting, the column remains constant, but the row changes.

Or, perhaps the formula =A$1+A$2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =B$1+B$2.

  • If you paste the formula into cell A7, the formula will be pasted as =A$1+A$2.

  • When pasting, the row remains constant, but the column changes.

Or, perhaps the formula =$A$1+$A$2 is in cell A3, and you have copied cell A3. Then:

  • If you paste the formula into cell B3, the formula will be pasted as =$A$1+$A$2.

  • If you paste the formula into cell A7, the formula will be pasted as =$A$1+$A$2.

  • When pasting, both the row and column remain constant - the cell reference does not change.

Notes on Dollar Signs

It is important to remember that including a dollar sign ($) in a formula has nothing to do with money. It simply tells EasyDatabase not to change the row or column if the cell formula is pasted elsewhere, or if the cell is moved elsewhere.

Dollar signs in front of values in cells have nothing to do with dollar signs in front of cell references in formulas.


Table Mode: Entering Spreadsheet Formulas

Like cells in a spreadsheet, total fields can contain formulas. A formula is an equation that tells EasyDatabase to add certain cells together, multiply certain cells by a value, and so on. You can enter a formula into a total field just as you would enter a formula into a spreadsheet cell.

Only one formula can be used in each total field. When you enter a formula into one cell in the total field column, the formula will be copied into the other cells in the column automatically. Relative cell, column, and row references will be adjusted accordingly, while absolute references will remain constant. It is recommended that you enter the formula into the total field for the first record in your database; the formula will then be copied into the total fields of the other records automatically. For help on relative and absolute references, see Relative and Absolute Cell References.

To enter a formula:

  1. Left-click on one cell in the total field you want to enter a formula into. A heavy border will appear around the cell.

  2. Type an equal sign (=). This tells EasyDatabase that you are entering a formula.

  3. Enter your formula. Examples are given below:

Function | Operator | Example
 |  | Formula | Value (Result)
Addition | + | =5+5 | 10
Subtraction | - | =6-4 | 2
Multiplication | * | =3*2 | 6
Division | / | =9/3 | 3
Exponentiation | ^ | =2^3 | 8
Percent | % | =75% | 0.75
Greater Than | > | =5>3 | TRUE
Less Than | < | =5<3 | FALSE
Equal To | = | =5=3 | FALSE
Greater Than or Equal To | >= | =5>=3 | TRUE
Less Than or Equal To | <= | =5<=3 | FALSE
Not Equal To | <> | =5<>3 | TRUE
Concatenation | & | =2&3 | 23
Brackets | ( ) | =(2+1)*6 | 18
Scientific Notation | E | =1E2 | 100

  4. Press the Enter key. The result of your formula will appear in the cell. The formula will also be copied into the other cells in the total field.

If you left-click once on a cell in the total field column, the formula will appear in the text box above your spreadsheet. This text box is called the formula bar. You can edit your formula by typing in the formula bar. Press Enter when you are finished editing.

Formulas with Cell References

The values of cells in a table can be added, subtracted, multiplied, divided, compared, and so on. Entering formulas with cell references is very similar to the method described above. Some formula examples are as follows:

Formula | Description
=A1+A2 | Adds the values found in cells A1 and A2.
=C1*C5 | Multiplies the value found in C1 by the value in C5.
=A1>A2 | Determines whether or not the value in A1 is greater than the value in A2.
=A1=A2 | Determines whether or not the value in A1 is the same as the value in A2.
=C2% | Produces a percent value based on the value in C2.

Example of Entering Formulas with Cell References

In EasyDatabase, you will likely enter formulas that contain the cell references for specific records. The following example will aid you in entering correct cell references.

Suppose your database involves the above table, and you want to calculate the average quiz marks for students in a class. Name is a character field, Quiz 1, Quiz 2, and Quiz 3 are number fields, while Average is a total field. Each student's average mark will be found by dividing the sum of his or her quiz marks by the total number of quizzes.

To calculate the average quiz marks:

  1. Click on cell E1. This is the first cell in the Average column.

  2. Type =(B1+C1+D1)/3, then press the Enter key. (Tip: It is important to be sure that the row numbers you enter match the number of the row you are typing into. If, for example, you were typing into cell E2 instead, you would enter =(B2+C2+D2)/3.)

  3. Each student's quiz average will appear in the Average column. Note that the formula did not have to be entered for each record individually.

  4. Click on cell E3. The formula =(B3+C3+D3)/3 will appear in the formula bar above your table. Note that the row number in the formula was changed automatically.


Table Mode: Entering Spreadsheet Functions

Functions perform such operations as summing a range of cells, rounding, determining the square root of a number, converting a number to currency, or generating a random number. Like EasySpreadsheet, Table Mode of EasyDatabase allows the use of several pre-defined functions when entering formulas.

Most functions use parameters. Parameters are the values, cell references, and other information required for executing the function. Parameters are enclosed in brackets after the function name. For example, the MOD function is in the form MOD (number, divisor), where number and divisor are parameters. (The MOD function returns the remainder after dividing the number by the divisor.)

Formulas are entered into total fields only, and one formula can be used in each total field column. When you enter a formula into one cell in a total field column, the formula will be copied into the other cells in the column automatically. Relative cell, column, and row references will be adjusted accordingly, while absolute references will remain constant. It is recommended that you enter the formula into the total field for the first record in your database; the formula will then be copied into the total fields of the other records automatically. For help on relative and absolute references, see Relative and Absolute Cell References.

To enter a formula that contains a function:

  1. Left-click on one cell in the total field you want to enter a formula into. A heavy border should appear around the cell.

  2. Type an equal sign (=). This tells EasyDatabase that you are entering a formula.

  3. Type the name of your function, followed by its required parameters in closed brackets. For example, if you were using the MOD function for 9 divided by 6, you would enter =MOD(9, 6).

Any EasySpreadsheet functions can be used. Functions useful for databases include:

Arithmetic Functions | Find sums, products, remainders, square roots, and absolute values.
Trigonometric Functions | Use sine, cosine, tangent, inverse, and hyperbolic functions. Convert from radians to degrees. Use the Pi constant.
Logarithmic and Exponential Functions | Use logarithms and natural logarithms. Use exponential functions based on the constant e.
Rounding Functions | Round numbers up or down, to even or odd numbers, to a multiples of other numbers, and to integers.
Factorials and Combinations | Determine factorials and possible combinations.
Random Numbers | Generate random numbers.
Logical Functions | Use functions that require TRUE and FALSE expressions.
Statistical Functions | Find averages, standard deviations, maximum and minimum values, and variables. Count the number of cells in a range or list.
Text Functions | Repeat, join, or compare text strings. Remove blank spaces and non-printable characters. Determine ASCII codes. Convert strings to numbers. Determine the length of a text string. Return the first character, last character, or part of a string.

Note: To view a full list of the available functions, open the EasySpreadsheet program, go to the Insert menu, and click Function. A Function window will appear. Select a category from the Category box, and the available functions will appear in the Function List below. Single-click a function to view its parameters and other details.

  4. Press the Enter key. The result of your formula will appear in the cell. The formula will also be copied into the other cells in the total field.

Example of Entering Formulas with Functions

In EasyDatabase, you will likely enter formulas that contain the cell references for specific records. The following example will aid you in entering functions with correct cell references.

Suppose your database involves the above table, and you want to calculate the average quiz marks for students in a class. Name is a character field, Quiz 1, Quiz 2, and Quiz 3 are number fields, while Average is a total field.

Each student's average mark will be found by dividing the sum of his or her quiz marks by the total number of quizzes. We will use the SUM function to compute the sum of the values in the three quiz columns for each student.

To calculate the average quiz marks:

  1. Click on cell E1. This is the first cell in the Average column.

  2. Type =SUM(B1:D1)/3, then press the Enter key. (Tip: It is important to be sure that the row numbers you enter match the number of the row you are typing into. If, for example, you were typing into cell E2 instead, you would enter =SUM(B2:D2)/3.)

  3. Each student's quiz average will appear in the Average column. Note that the formula did not have to be entered for each record individually.

  4. Click on cell E3. The formula =SUM(B3:D3)/3 will appear in the formula bar above your table. Note that the row number in the formula was changed automatically.


Table Mode: Arithmetic Spreadsheet Functions

EasyDatabase includes spreadsheet functions for adding and multiplying lists of numbers or ranges of cells.

Sums

SUM (number_list): Returns the sum of a list of numbers.

SUMSQ (number_list): Squares each of the supplied numbers and returns the sum of the squares.

SUMPRODUCT (range_list): Multiplies the corresponding cells in the given ranges, then returns the sum of those products. The ranges in the range_list must be of the same dimensions (i.e., each cell range must have the same number of rows, and the same number of columns).

Examples:

 | A | B | C
1 | 1 | 2 | 3
2 | 5 | 4 | 1
3 | 2 | 8 | 1

Formula | Result
=SUM(2, 3, 8, 1) | 2+3+8+1 = 14
=SUM(A1:B3) | 1+5+2+2+4+8 = 22
=SUM(A1, C2, B3) | 1+1+8 = 10
=SUMSQ(B1:B3) | 2*2 + 4*4 + 8*8 = 84
=SUMPRODUCT(B1:B2, C1:C2) | 2*3 + 4*1 = 10
=SUMPRODUCT(A1:A3, B2:B3) | #VALUE! (cell ranges of different dimensions)
=SUMPRODUCT({2, 4, 1}, {3, 5, 2}) | 2*3 + 4*5 + 1*2 = 28

Conditional Sums

SUMIF (range, criteria, sum_range): Examines the range of cells based on the given criteria, and returns a sum. The criteria must be enclosed in double-quotes, and can be a value ("10"), a text string ("Pass"), or an expression ("<50"). If no sum_range is given, then the range values that meet the criteria will be summed. If a sum_range is given, then the sum_range values in the corresponding cells will be summed.

Examples:

 | A | B | C
1 | 75 | 20 | Yes
2 | 83 | 19 | Yes
3 | 52 | 21 | No
4 | 75 | 19 | No

Formula | Result
=SUMIF(A1:A4, "75") | 75+75 = 150
=SUMIF(A1:A4, "75", B1:B4) | 20+19 = 39
=SUMIF(B1:B4, ">19") | 20+19 = 41
=SUMIF(B1:B4, "<=20", A1:A4) | 75+83+75 = 233
=SUMIF(C1:C4, "No", B1:B4) | 21+19 = 40
=SUMIF(C1:C4, "No") | 0

Multiplication and Division

PRODUCT (number_list): Multiplies a list of numbers and returns the result.

MOD (number, divisor): Returns the remainder after dividing the number by the divisor.

SQRT (number): Returns the square root of the number.

Examples:

Formula | Result
=PRODUCT(2, 3, 2, 1) | 2*3*2*1 = 12
=MOD(9, 3) | 0
=MOD(11, 3) | 2
=MOD(7, 2) | 1
=MOD(1, 0) | #DIV/0!
=SQRT(4) | 2
=SQRT(15) | 3.872983346

Absolute Value and Sign Functions

ABS (number): Returns the absolute value of the number. For example, both ABS(5) and ABS(-5) will return 5.

SIGN (number): Determines the sign of the number. Returns 1 if the value is positive, and -1 if the value is negative. Note that SIGN(0) returns 0.


Table Mode: Trigonometric Spreadsheet Functions

EasyDatabase includes the sine, cosine, and tangent functions. It is important to remember that trigonometric functions use input values in radians.

  • 1 radian = 57.2957 degrees

  • 1 degree = 0.0174532 radians

(The circumference of a circle is 2*pi*r. Thus for a unit circle, the circumference is 2*pi. If we measure angle by the length of the circular arc, then a 360 degree circle will contain 2*pi radians. )

Cosine, Sine, and Tangent Functions

COS (number): Returns the cosine of the specified angle (number). The angle is in radians.

SIN (number): Returns the sine of the specified angle (number). The angle is in radians.

TAN (number): Returns the tangent of the specified angle (number). The angle is in radians.

Inverse Functions

ACOS (number): Returns the angle whose cosine is the specified number. This angle is given in radians, between zero and pi.

ASIN (number): Returns the angle whose sine is the specified number. This angle is given in radians, between -pi/2 and pi/2.

ATAN (number): Returns the angle whose tangent is the specified number. This angle is given in radians, between -pi/2 and pi/2.

ATAN2 (number1, number2): Returns the arctangent of the specified X (number1) and Y (number2) coordinates. The result will be given in radians, between -pi and pi, excluding -pi.

Hyperbolic Functions

COSH (number): Returns the hyperbolic cosine of the number.

SINH (number): Returns the hyperbolic sine of the number.

TANH (number): Returns the hyperbolic tangent of the number.

ACOSH (number): Returns the inverse hyperbolic cosine of the number.

ASINH (number): Returns the inverse hyperbolic sine of the number.

ATANH (number): Returns the inverse hyperbolic tangent of a the number.

Conversion and Constant Functions

DEGREES (number): Converts the number from radians to degrees.

PI (): Returns the value of pi, which is approximately 3.1459265358979 when calculated to 15 significant digits.


Table Mode: Logarithmic and Exponential Spreadsheet Functions

EasyDatabase includes logarithmic, natural logarithmic, and exponential functions.

Logarithmic Functions

LOG (number, base): Returns the logarithm of the number to the specified base. If the base is omitted, base-10 will be used.

LOG10 (number): Returns the base-10 logarithm of the specified number.

LN (number): Returns the natural logarithm (based on the constant e) of the specified number. LN is the inverse of EXP.

Examples:

Formula | Result
=LOG(9, 3) | 2
=LOG(10) | 1 (base-10 is assumed)
=LOG(10^8) | 8 (base-10 is assumed)
=LOG(0) | #NUM! (number must be greater than 0)
=LOG10(1) | 0
=LN(EXP(2)) | 2

Exponential Functions

EXP (number): Returns e raised to the power of the specified number. EXP is the inverse of LN. For example, EXP(LN(2))would return 2. (Hint: Use EXP(1) for the constant value e, which is approximately 2.718281828.)

Note: To raise another number to a certain power, use the ^ operator. For example, 2^3 is the same as 2*2*2, and would return 8.


Table Mode: Rounding Spreadsheet Functions

Rounding functions allow you to round numbers up or down, to even or odd numbers, to the nearest multiple of a number, and to the nearest integer.

Rounding Up and Down

ROUND (number, precision): Rounds the number to the specified number of decimal places (precision). In this case, the number will be rounded up if the digit is greater than or equal to five, and rounded down if the digit is less than five. The precision cannot be omitted.

ROUNDDOWN (number, precision): Rounds the number down to the specified number of decimal places (precision). The precision cannot be omitted. In this case, 1.2 would be rounded to 1, while -1.2 would be rounded to -1.

ROUNDUP (number, precision): Rounds the number up to the specified number of decimal places (precision). The precision cannot be omitted. In this case, 1.2 would be rounded to 2, while -1.2 would be rounded to -2.

CEILING (number1, number2): Rounds number1 up to the nearest multiple of number2.

FLOOR (number1, number2): Rounds number1 down to the nearest multiple of number2.

Examples:

Formula | Result
=ROUND(8.5, 0) | 9
=ROUND(8.4, 0) | 8
=ROUNDDOWN(25, 0) | 25
=ROUNDDOWN(25, -1) | 20
=ROUNDDOWN(-5.6, 0) | -5
=ROUNDUP(-5.6, 0) | -6
=CEILING(5, 3) | 6
=FLOOR(2, 0.75) | 1.5

Rounding to Even and Odd Numbers

EVEN (number): Rounds the number up to the nearest even integer. For example, 25 would be rounded to 26.

ODD (number): Rounds the number up to the nearest odd integer. For example, 100 would be rounded to 101.

Rounding to Integers

INT (number): Rounds the number down to the nearest integer. Negative numbers will be rounded to the lower integer. For example, 1.2 would be rounded to 1, while -1.2 would be rounded to -2.

TRUNC (number, precision): Truncates the number to an integer. The number will be rounded down. For example, 1.2 would be rounded to 1, while -1.2 would be rounded to -1. If precision is omitted, the number will be rounded to zero decimal places.


Table Mode: Factorial and Combination Spreadsheet Functions

EasyDatabase includes functions to generate factorials and combinations.

FACT (number): Returns the factorial of the number. For example, the factorial of 6 is 6*5*4*3*2*, or 720. If number is a decimal number, it will be rounded down to the nearest integer. Note that number must be greater than or equal to 0.

COMBIN (number1, number2): Returns the number of ways a group of number2 items can be chosen from a group of number1 items. For example, COMBIN(6, 3) would return the number of ways a group of three could be chosen from a group of six. Note that number1 and number2 must be nonnegative, and number2 cannot be greater than number1.

Examples:

Formula | Result
=FACT(0) | 1
=FACT(6.6) | 720
=FACT(-1) | #NUM! (number cannot be negative)
=COMBIN(3, 2) | 3
=COMBIN(3, 3) | 1
=COMBIN(1, 2) | #NUM! (number2 cannot be larger)


Table Mode: Random Numbers

EasyDatabase allows you to generate a random number within a certain range of values.

RAND (): Returns a randomly selected decimal number from a uniform distribution greater than or equal to 0 and less than 1.

You may wish to generate a number within another range instead:

  • RAND()*x will generate a random decimal number between 0 and x, inclusive.

  • RAND()*(y - x)+x will generate a random decimal number between x and y, inclusive.

  • ROUND(RAND()*x, 0) will generate a random integer between 0 and x, inclusive.

  • ROUND(RAND()*(y - x)+x, 0) will generate a random integer between x and y, inclusive.


Table Mode: Logical Spreadsheet Functions

Logical functions use TRUE and FALSE values.

Logical Values

FALSE (): Returns the logical value FALSE.

TRUE (): Returns the logical value TRUE.

AND and OR Functions

AND (logical_list): Returns TRUE if all arguments in list are true; returns FALSE if at least one argument in the list is false. The arguments can be a logical value (e.g., TRUE) or expression (e.g., 1+2=3).

OR (logical_list): Returns TRUE if at least one of a series of logical arguments is true. The arguments can be a logical value or expression.

Examples:

 | A | B | C | D
1 | TRUE | TRUE | FALSE | 0
2 | TRUE | FALSE | TRUE | 2

Formula | Result
=AND(A1:A2) | TRUE
=AND(A1:C1) | FALSE
=AND(A1:D1) | #VALUE! (cell D1 does not contain a logical value or expression)
=AND(1>2, 1>0) | FALSE
=AND(D1=0, D2=0) | FALSE
=OR(A1:A2) | TRUE
=OR(A1:C1) | TRUE
=OR(B2, C1) | FALSE
=OR(D1=0, D2=0) | TRUE

NOT Function

NOT (logical): Returns a logical value that is the opposite of the specified logical value or expression.

Examples:

Formula | Result
=NOT(TRUE) | FALSE
=NOT(FALSE) | TRUE
=NOT(10>5) | FALSE
=NOT(3*3=10) | TRUE

IF Function

IF (test, true_value, false_value): Returns true_value if test is TRUE (or nonzero), or false_value if test is FALSE (or zero). If test is FALSE (or zero), but the false_value is omitted, then FALSE will be returned. Note that test can be a numerical value, or a logical expression (e.g., C5=3). Note also that true_value and false_value can be numerical values (e.g., 10), text strings (e.g., "Yes"), logical values (e.g., TRUE), cell references (e.g., A1), or formulas (e.g., SUM(A1:C5) ).

Examples:

 | A
1 | 76
2 | 43
3 | 87
4 |

Formula | Result
=IF(A1>=50, "Pass", "Fail") | Pass
=IF(A2>=50, "Pass", "Fail") | Fail
=IF(A2>=50, "Pass") | FALSE
=IF(TRUE, "Yes", "No") | Yes
=IF(A1, DOLLAR(A1)) | $ 76.00
=IF(A4, DOLLAR(A4)) | FALSE


Table Mode: Statistical Spreadsheet Functions

Statistical functions allow you to calculate averages, minimum and maximum values, standard deviations, and variances. They also allow you to count the number of values in a list or range of cells.

AVERAGE (number1, number2, ...): Returns the average of the specified numbers.

MAX (number_list): Returns the largest value in the specified list of numbers.

MIN (number_list): Returns the smallest value in the specified list of numbers.

STDEV (number_list): Returns the standard deviation of a population based on a sample of values. The standard deviation of a population represents an average of deviations from the population mean within a list of values. This list must contain at least two numbers.

STDEVP (number_list): Returns the standard deviation of a population based on an entire population of values. The standard deviation of a population represents an average of deviations from the population mean within a list of values. This list must contain at least two numbers.

VAR (number_list): Returns the variance of a population based on a sample of values. This list must contain at least two numbers.

VARP (number_list): Returns the variance of a population based on the entire population. This list must contain at least two numbers.

Counting Functions

COUNT (value_list): Returns the number of values in the specified list.

COUNTA (expression_list): Returns the number of nonblank values in the specified list.

COUNTIF (range, criteria): Returns the number of cells within the range that meet the specified criteria. This criteria can be a numerical value (e.g., 50), a text string (e.g., "No"), a logical expression (">0"). Note that text strings and expressions must be enclosed in double quotes.

Examples:

 | A
1 | 80
2 | 45
3 | 76
4 | 68
5 | N/A
6 |

Formula | Result
=COUNT(A1:A4) | 4
=COUNT(A1:A4) | 4 (only cells containing numerical values are counted)
=COUNTA(A1:A5) | 5
=COUNTA(A1:A6) | 5 (blank cells are not counted)
=COUNTIF(A1:A4, ">50") | 3


Table Mode: Text Spreadsheet Functions

EasyDatabase includes a variety of text functions.

General Text Functions

REPT (text, number): Repeats the text a certain number of times. The text can be a text string (e.g., "abc"), a number (e.g., 9), or a cell reference (e.g., C4). The number must be positive, and if the number is 0, nothing will be returned. For example, REPT("z", 4) would return "zzzz", REPT("z", 0) would return "", and REPT("z", -1) would return the #VALUE! error message.

CONCATENATE (text1, text2, ...): Joins several text items into one text item. These items can be text strings, numbers, or cell references. For example, if the value 50 was in cell B5, then CONCATENATE("I have ", B5, " oranges") would return "I have 50 oranges". (Note: This is the same as the formula ="I have " & B5 & " oranges".)

EXACT (expression1, expression2): Compares expression1 and expression2 for identical, case-sensitive matches. TRUE is returned if the expressions are identical; FALSE is returned if they are not.

T (value): Tests the value, and returns the value if it is text. For example, T("Hello") would return "Hello", while T(100) would return nothing.

VALUE (text): Converts text to a numerical value. The text string must be in a number format (i.e., words cannot be converted to numbers). For example, VALUE("$6.00") would return 6, while VALUE("dog") would return the #VALUE! error message.

Removal Functions

TRIM (text): Removes all blank spaces from the text, except for single spaces between words. For example, TRIM(" One Two Three ") would return "One Two Three".

CLEAN (text): Removes all nonprintable characters from the supplied text.

ASCII Code Functions

CHAR (number): Returns the character that corresponds to the supplied ASCII code (number). The number must be between 1 and 255. For example, CHAR(83) would return "S".

CODE (text): Returns the ASCII code for the first character of the text. The text must be enclosed in double quotes. For example, both CODE("Sunday") and CODE("S") would return 83, which is the ASCII code for S.

Length and Position Functions

LEN (text): Returns the number of characters in the text string, including spaces.

LEFT (text, num_char): Returns the leftmost characters from the text string. The number of characters to return (num_char) can be specified; if num_char is omitted, one character will be returned.

RIGHT (text, num_char): Returns the rightmost characters from the text string. The number of characters to return (num_char) can be specified; if num_char is omitted, one character will be returned.

MID (text, start_position, num_chars): Returns the specified number of characters (num_chars) from the text string, beginning with the start_position. Note that the first character in the string has position 1.

Examples:

Formula | Result
=LEN("John Doe") | 8
=LEFT("EasyOffice") | E
=LEFT("EasyOffice", 4) | Easy
=RIGHT("EasyOffice") | e
=MID("dragonfly", 1, 5) | dragon
=MID("abcde", 2, 3) | bcd
=MID("abcde", 2, 7) | bcde


Report Mode: Report Designer Toolbar

The Report Designer Toolbar is located above and to the left of your report, containing buttons that allow quick access to many common functions.

The Report Designer Toolbar includes:

  • A Toolbox for inserting a variety of objects, such as images, shapes, page breaks, and data controls. The Toolbox is the column of buttons on the left side of your report.

  • A Format toolbar for changing font properties, alignment, colors, and lines.

  • A Standard toolbar for view options, cutting, copying, pasting, and undoing.

  • An Alignment toolbar for sending objects to the front or back, changing control options, positioning, and resizing.

  • A toolbar containing File, Edit, Format, and View menus.

Showing and Hiding Toolbars

To show or hide the toolbars within the Report Designer Toolbar:

  1. Right-click on the Report Designer Toolbar, so that a pop up menu appears.

  2. Ensure that the toolbars you want to be shown are checked off, and that the toolbars you want to be hidden are unchecked.

Adding or Removing Buttons

You can add or remove buttons on the Format, Standard, and Alignment toolbars.

To add or remove buttons:

  1. Click on the down arrow on the right side of the toolbar you want to change.

  2. An Add or Remove Buttons button will appear. Move your cursor over this button.

  3. A box containing a list of al of the toolbar buttons will appear. Ensure that the buttons you want to be shown are checked off, and that the toolbars you want to be hidden are unchecked. To restore the default toolbar setup, click Reset Toolbar.


Report Mode: Report Explorer

The Report Explorer contains a list of all the sections of your report. By default, it is located on the left side of your report.

If you are not using the Report Explorer, you should hide it to allow yourself more room. To hide the Report Explorer:

  • Click the X button in the top, right corner of the Report Explorer box. Or,

  • Right-click on the Report Designer Toolbar above your report, so that a pop up menu appears. Then, uncheck Explorer.

To show the Property Toolbox:

  • Right-click on the Report Designer Toolbar above your report, so that a pop up menu appears. Then, check off Explorer.

Viewing Object Lists and Properties

To view a list of the fields and objects in a section of your report, double-click on the section name in the Report Explorer. When you click on a field or object name in the Report Explorer, its properties will appear in the Property Toolbox.


Report Mode: Property Toolbox

The Property Toolbox, located on the right side of your screen, displays the properties of the currently selected object or report section. This toolbox allows these properties to be adjusted.

If you are not using the Property Toolbox, you should hide it to allow yourself more room. To hide the Property Toolbox:

  • Click the X button in the top, right corner of the Property Toolbox. Or,

  • Right-click on the Report Designer Toolbar above your report, so that a pop up menu appears. Then, uncheck Property Toolbox.

To show the Property Toolbox:

  • Right-click on the Report Designer Toolbar above your report, so that a pop up menu appears. Then, check off Property Toolbox.


Report Mode: Report Icons

The report icons appear in the box on the left side of your screen. They allow you to quickly switch from one report to another.

To change the style or size of your report icons:

  1. Do one of the following:

    • Go to the View menu on the main EasyDatabase toolbar. Or,

    • Click the Views button on the main EasyDatabase toolbar. Or,

    • Right-click on the box that contains the report icons, so that a pop up menu appears.

  2. Click Large Icons, Small Icons, List, or Details.


Report Mode: Full Screen View

Full Screen View hides the Start menu and EasyDatabase toolbars, leaving only your report and the Report Designer toolbars. This allows you to view more of your report at once.

To turn Full Screen View on:

  • Go to the View menu on the Report Designer Toolbar and click Full Screen. Or,

  • Click the Full Screen button on the Report Designer Toolbar.

To turn Full Screen View off, simply click Full Screen again.


Report Mode: Grid Lines

The grid lines appear in your report while you are designing it to help you position objects.

To hide the grid lines, do one of the following:

  • Go to the View menu on the Report Designer Toolbar, then click Grid. Or,

  • Click the View Grid button.

To show the grid lines again, simply click View Grid a second time.

See Also:

Snapping to Grid


Report Mode: Starting a New Report

The first step in creating a report is to add a new report. You can create multiple reports for the same database.

To add a new report:

  1. Ensure that you are in Report Mode. Also, ensure that the database you want to create the report from is currently open.

  2. Do one of the following:

    • Go to the Reports menu and click Add. Or,

    • Click the Add button.

  3. A Design a Report window will appear.

  4. Type the name of your new report in the Name box. Type any description details you wish to include in the Description box.

  5. Click OK. Your new report will be created and ready for you to design.


Report Mode: Saving a Report

Reports are saved automatically when you save your database. For help on saving databases, see Saving a Database. However, you may also want to save your report as a separate, XML file.

To save a report as an XML file:

  1. Ensure that the report you want to save is currently displayed on your screen.

  2. Go to the File menu on the Report Designer Toolbar, then click Save.

  3. A Save Report window will appear.

  4. Select a file location from the Save in box, and type the name of your report in the File name box.

  5. Click Save. Your report will be saved in the location you specified.


Report Mode: Opening a Report

To open a report that you have previously saved as an XML file:

  1. Add a new report. For help on adding reports, see Starting a New Report. (Note: Your current report will be overwritten by the report you open. Adding a new report will ensure that your current report is empty, and thus, that no work will be lost.)

  2. Go to the File menu on the Report Designer Toolbar, then click Open.

  3. An Open File window will appear.

  4. Click on the report you wan to open. If you do not see the report you are looking for, click on the Look in box to move to other folders or directories.

  5. Click Open. The report you selected will be opened into your current report.


Report Mode: Switching Between Reports

If you have created more than one report for your database, you can quickly move from one report to another.

To view a report, single-click its report icon. The report icons appear on the left side of your screen.


Report Mode: Renaming Reports

To rename a report:

  1. Do one of the following:

    • Click on the report icon of the report you want to rename. Then, go to the Reports menu on the main toolbar. Or,

    • Right-click on the report icon of the report you want to rename. A pop up menu will appear.

  2. Click Rename.

  3. The report name will be highlighted.

  2. Type the new report name, then press the Enter key.

Changing the Report Name and Description

To open the Design a Report window to change the name or description of a report:

  1. Double-click on the report icon of the report you want to change. The report icons appear on the left side of your screen.

  2. A Design a Report window will appear.

  3. Type the new name in the Name box.

  4. Enter a description or comments for the report in the Description box. This step is optional.

  5. Click OK. Your report information will be changed.


Report Mode: Copying Reports

To copy a report:

  1. Do one of the following:

    • Click on the report icon of the report you want to copy. Then, go to the Reports menu on the main toolbar. Or,

    • Right-click on the report icon of the report you want to copy. A pop up menu will appear.

  2. Click Copy.

  3. An icon for the copy of will appear. To view the copy, click on this icon.


Report Mode: Deleting Reports

To delete a report:

  1. Do one of the following:

    • Click on the report icon of the report you want to delete. Then, go to the Reports menu on the main toolbar. Or,

    • Right-click on the report icon of the report you want to delete. A pop up menu will appear.

  2. Click Delete.

  3. You will be asked whether or not you are sure you want the report to be deleted. Click Yes.


Report Mode: Headers and Footers

Your report can use headers and footers. These are useful for displaying titles, page numbers, totals, and other information.

The header and footer types include:

  • Page Headers/Footers: Appear at the top and bottom of each page, respectively.

  • Group Headers/Footers: Appear above and below a group of records.

  • Report Headers/Footers: Appear at the beginning and end of your report.

Inserting Headers and Footers

To insert a header/footer section into your report:

  1. Right-click on your report, so that a pop up menu appears.

  2. Go to Insert.

  3. Click on the header/footer type you want to insert.

Removing Headers and Footers

To remove a header/footer section from your report:

  1. Right-click on the section of your report that you want to delete, so that a pop up menu appears.

  2. Click Delete Section.


Report Mode: Detail Section

The detail section of your report is located between any header and footer sections. Unlike headers and footers, the detail section cannot be removed from your report.

The detail section represents the setup for a single record in your database, and is most often used for the insertion of fields. When you run your report, an entry of the detail section will appear for each record.


Report Mode: Selecting Sections

Your report may contain several sections. These sections include Detail, Page Headers/Footers, Group Headers/Footers, and Report Headers/Footers.

To select a section, click on it. Do not click on the objects (fields, labels, shapes, etc.) within the section. The title bar of the section you select will be highlighted in blue.

See Also:

Headers and Footers


Report Mode: Inserting Fields

Any of the fields in your database (with the exception of total fields) can be inserted into your report.

Fields can be used for:

  • Displaying information for each record of your report. To display the contents of a field for each record when you run your report, insert the field into the detail section. For more help, see Detail Section.

  • Calculating totals, averages, minimum and maximum values, variances, and standard deviations. When performing these calculations, fields are often inserted into the footer sections of reports.

  • Counting the number of records, counting the number of pages, or inserting page numbers into your reports. Page numbers typically appear in page headers or page footers.

While designing your report, only field names will appear in the fields you have inserted. Data from your records, calculated values, counts, or page numbers will be displayed in the field when your report is running.

Inserting Fields

To insert a field into your report:

  1. Select the section of your report you want to insert a field into. For help on selecting sections, see Selecting Sections.

  2. Do one of the following:

    • Go to the Insert Field menu, then click on the field you want to insert. Or,

    • Right-click on the Report Explorer box, so that a pop up menu appears. Go to Insert Field, then click on the field you want to insert.

A box containing the name of the field you inserted will appear at the center of your selected section.

Changing Field Properties

To change the properties of your field, click on it, then click on a property in the Property Toolbox:

  • Alignment: Adjusts the horizontal alignment of the text in the f. Choose 0 - ddTXLeft for left alignment, 1 - ddTXRight for right alignment, or 2 - ddTXCenter for centered alignment.

  • BackColor: Changes the background fill color of the field. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style of the field to transparent or opaque. For a transparent (no fill) field, select 0 - ddBKTransparent. For an opaque field, select 1 - ddBKNormal.

  • CanGrow: If you want the field box to grow when it is too small to fit the data in the field, select True. If you want the field box to maintain its size even if all the data in the field will not be visible, select False.

  • CanShrink: If you want the field box to shrink to fit the data, select True. If you want the field box to maintain its size even if the data does not fill it, select False.

  • ClassName: Allows you to assign or retrieve the class of the text box. Used in object-oriented programming.

  • DataField: The name of the field from which this field receives data.

  • Font: Changes the font type, style, and size of the text in the field. Click the ... button on the right side of Font, so that a Font window appears. Click OK when you are finished selecting the font properties.

  • ForeColor: Changes the color of the text in the field. Click on the box on the right side of ForeColor, so that a palette appears, then click on a color.

  • height: Adjusts the height of the field box.

  • hyperLink: Allows the insertion of a hyperlink, such as the address of a web site or file. To enter a hyperlink, simply type in the address. When the field box is clicked on while your report is running, the address will open in a new window.

  • left: Adjusts the position of the leftmost side of the field box.

  • MultiLine: If you want to allow multiple lines of text to appear in your field box, select True. If you want all of the text in your field box to appear on one line, select False.

  • OutputFormat: Allows the application number formatting, such as currency and percentage. Click the ... button on to the right of OutputFormat. An OutputFormat Properties window will appear, where you can change the number formatting. See Formatting Number Fields for more details.

  • Style:

  • SummaryDistinctField:

  • SummaryFunc: Select a summary calculation to perform on number fields. Calculations include sums, averages, counts, minimum values, maximum values, variances, and standard deviation. SummaryFunc is especially useful in footer sections. See for details.

  • SummaryGroup: If you want the summary calculations to be performed on a group of records, select the group here.

  • SummaryRunning: Determines which records will be used in summary calculations. If you do not want summary calculations to be performed, select 0 - ddSRNone. If you want the calculations to be performed on your SummaryGroup, select 1 - ddSRGroup. If you want the calculations to be performed using all your records, select 2 - ddSRAll.

  • SummaryType: If you want the field to display regular data, select None. If you want the field to display a total, average, or other summary value for all records in the report, select GrandTotal. If you want the field to display a total, average, or other summary value for all records on one page of your report, select PageTotal. If you want the field to display either the current page number or the total number of pages, select PageCount.

  • Tag: Free property with no effect on the field. Typically used for entering comments.

  • text: The text to be displayed in the field box while you are designing your report. This text will not be shown when you run your report.

  • top: Adjusts the position of the uppermost side of the field box.

  • VerticalAlignment: Sets the vertical alignment of the text in the field. Choose 0 - ddTXTop for the text to be pushed to the top, 1 - ddTXMiddle for centered alignment, or 2 - ddTXBottom for the text to be pushed to the bottom.

  • Visible: If you want the field to appear in your report when you run it, select True. If you want the field to be hidden in your report when you run it, select False. The field will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your filed box.

  • WordWrap: If you want your text to continue onto the next line when the edge of the field box is reached, select True. Otherwise, select False.


Report Mode: Inserting Labels

The Label tool allows you to insert text into your report. Labels display a caption that you enter, but they cannot be used to display data from fields.

To insert a label:

  1. Click the Label button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the label into. Click and hold down your left mouse button, and move your mouse so that a label box appears. When you are satisfied with the size of your box, release the mouse button.

  3. To change the text in your label, click on the label. Then, click on the text beside Caption in the Property Toolbox (by default, the caption will be Label1, or something similar). Press the Delete and Backspace keys on your keyboard to delete the current text, then type in your new text.

Changing Label Properties

To change the properties of your label, click on it, then click on a property in the Property Toolbox:

  • Alignment: Adjusts the horizontal alignment of the text in the label. Choose 0 - ddTXLeft for left alignment, 1 - ddTXRight for right alignment, or 2 - ddTXCenter for centered alignment.

  • Angle: Allows the rotation of the text in the label. Enter the angle in degrees, multiplied by 10. Enter a positive angle for a counterclockwise rotation, or enter a negative angle for a clockwise rotation. For example, for a rotation of 90 degrees in the counterclockwise direction, enter 900.

  • BackColor: Changes the background fill color of the label. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style of the label to transparent or opaque. For a transparent (no fill) label, select 0 - ddBKTransparent. For an opaque label, select 1 - ddBKNormal.

  • Caption: Changes the text that appears in the label. Type in the text you want to appear in the label.

  • ClassName:

  • Font: Changes the font type, style, and size of the text in the label. Click the ... button on the right side of Font, so that a Font window appears. Click OK when you are finished selection the font properties.

  • ForeColor: Changes the color of the text in the label. Click on the box on the right side of ForeColor, so that a palette appears, then click on a color.

  • height: Adjusts the height of the label box.

  • hyperLink: Allows the insertion of a hyperlink, such as the address of a web site or file. To enter a hyperlink, simply type in the address. When the label is clicked on while your report is running, the address will open in a new window.

  • left: Adjusts the position of the leftmost side of the label.

  • MultiLine: If you want to allow multiple lines of text to appear in your label, select True. If you want all of the text in your label to appear on one line, select False.

  • Style:

  • Tag: Free property with no effect on the label. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the label.

  • VerticalAlignment: Sets the vertical alignment of the text in the label. Choose 0 - ddTXTop for the text to be pushed to the top, 1 - ddTXMiddle for centered alignment, or 2 - ddTXBottom for the text to be pushed to the bottom.

  • Visible: If you want the label to appear in your report when you run it, select True. If you want the label to be hidden in your report when you run it, select False. The label will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your label.

  • WordWrap: If you want your text to continue onto the next line when the edge of the label is reached, select True. Otherwise, select False.


Report Mode: Inserting Text Boxes

Unlike labels, text boxes are used to display data in any text fields.

To insert a text box:

  1. Click the TextBox button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the text box into. Click and hold down your left mouse button, and move your mouse so that a text box appears. When you are satisfied with the size of your text box, release the mouse button.

  3. To change the text in your text box, click on it. Then, click on Field1 (or something similar) beside text in the Property Toolbox. Press the Delete and Backspace keys on your keyboard to delete the current text, then type in your new text.

Changing Text Box Properties

To change the properties of your text box, click on it, then click on a property in the Property Toolbox:

  • Alignment: Adjusts the horizontal alignment of the text in the text box. Choose 0 - ddTXLeft for left alignment, 1 - ddTXRight for right alignment, or 2 - ddTXCenter for centered alignment.

  • BackColor: Changes the background fill color of the text box. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style of the text box to transparent or opaque. For a transparent (no fill) text box, select 0 - ddBKTransparent. For an opaque text box, select 1 - ddBKNormal.

  • CanGrow: If you want the text box to grow when it is not large enough to fit the text, select True. If you want the text box to maintain its size even if all the text will not be visible, select False.

  • CanShrink: If you want the text box to shrink to fit the text, select True. If you want the text box to maintain its size even if the text does not fill it, select False.

  • ClassName: Allows you to assign or retrieve the class of the text box. Used in object-oriented programming.

  • DataField: The name of the field from which the text box receives data.

  • Font: Changes the font type, style, and size of the text in the text box. Click the ... button on the right side of Font, so that a Font window appears. Click OK when you are finished selecting the font properties.

  • ForeColor: Changes the color of the text in the text box. Click on the box on the right side of ForeColor, so that a palette appears, then click on a color.

  • height: Adjusts the height of the text box.

  • hyperLink: Allows the insertion of a hyperlink, such as the address of a web site or file. To enter a hyperlink, simply type in the address. When the text box is clicked on while your report is running, the address will open in a new window.

  • left: Adjusts the position of the leftmost side of the text box.

  • MultiLine: If you want to allow multiple lines of text to appear in your text box, select True. If you want all of the text in your text box to appear on one line, select False.

  • OutputFormat: Allows the application number formatting, such as currency and percentage. Click the ... button on to the right of OutputFormat. An OutputFormat Properties window will appear, where you can change the number formatting. See Formatting Number Fields for more details.

  • Style:

  • SummaryDistinctField:

  • SummaryFunc: Select a summary calculation to perform on number fields. Calculations include sums, averages, counts, minimum values, maximum values, variances, and standard deviation. SummaryFunc is especially useful in footer sections. See for details.

  • SummaryGroup: If you want the summary calculations to be performed on a group of records, select the group here.

  • SummaryRunning: Determines which records will be used in summary calculations. If you do not want summary calculations to be performed, select 0 - ddSRNone. If you want the calculations to be performed on your SummaryGroup, select 1 - ddSRGroup. If you want the calculations to be performed using all your records, select 2 - ddSRAll.

  • SummaryType: If you are performing summary calculations, click the down arrow beside SummaryType and select one of the options. If you want the text box to display regular data, select None. If you want the text box to display a total, average, or other summary value for all records in the report, select GrandTotal. If you want the text box to display a total, average, or other summary value for all records on one page of your report, select PageTotal. If you want the text box to display either the current page number or the total number of pages, select PageCount.

  • Tag: Free property with no effect on the text box. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the text box.

  • VerticalAlignment: Sets the vertical alignment of the text in the text box. Choose 0 - ddTXTop for the text to be pushed to the top, 1 - ddTXMiddle for centered alignment, or 2 - ddTXBottom for the text to be pushed to the bottom.

  • Visible: If you want the text box to appear in your report when you run it, select True. If you want the text box to be hidden in your report when you run it, select False. The text box will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your text box.

  • WordWrap: If you want your text to continue onto the next line when the edge of the text box is reached, select True. Otherwise, select False.


Report Mode: Inserting Check Boxes

Check boxes allow you to represent TRUE and FALSE values. Data from logical fields in your database can be loaded into the check box, or the value can be set using the Value property.

To insert a check box:

  1. Click the CheckBox button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the check box into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

  3. To change the text in your check box, click on it. Then, click on the text beside Caption in the Property Toolbox (by default, the caption will be CheckBox). Press the Delete and Backspace keys on your keyboard to delete the current text, then type in your new text.

Changing Check Box Properties

To change the properties of your check box, click on it, then click on a property in the Property Toolbox:

  • Alignment: Adjusts the horizontal alignment of the text beside the check box. Choose 0 - ddTXLeft for left alignment, 1 - ddTXRight for right alignment, or 2 - ddTXCenter for centered alignment.

  • BackColor: Changes the background fill color. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style to transparent or opaque. For a transparent (no fill) label, select 0 - ddBKTransparent. For an opaque label, select 1 - ddBKNormal.

  • Caption: Changes the text beside the check box. Type in the text you want to appear.

  • ClassName: Allows you to assign or retrieve the class of the text box. Used in object-oriented programming.

  • DataField: The name of the field from which the text box receives data.

  • Font: Changes the font type, style, and size of the text beside the check box. Click the ... button on the right side of Font, so that a Font window appears. Click OK when you are finished selection the font properties.

  • ForeColor: Changes the color of the text beside the check box. Click on the box on the right side of ForeColor, so that a palette appears, then click on a color.

  • height: Adjusts the height of the box.

  • hyperLink: Allows the insertion of a hyperlink, such as the address of a web site or file. To enter a hyperlink, simply type in the address. When the check box is clicked on while your report is running, the address will open in a new window.

  • left: Adjusts the position of the leftmost side of the box.

  • Style:

  • Tag: Free property with no effect on the check box. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the box.

  • Value: If True is selected, the check mark will appear in the check box. If False is selected, the check box will remain unchecked.

  • Visible: If you want the check box to appear in your report when you run it, select True. If you want the check box to be hidden in your report when you run it, select False. The check box will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your box.


Report Mode: Inserting Shapes

The Shape tool allows you to insert rectangles, ellipses, and rounded rectangles into your report.

To insert a shape:

  1. Click the Shape button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the shape into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

  3. By default, the shape will be a rectangle. To change the shape, click on it. Click on Shape in the Property Toolbox, then click on the down arrow on the right. A list of shapes will appear. Click on the shape of your choice.

Changing Shape Properties

  • BackColor: Changes the fill color of the shape. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style of the shape to transparent or opaque. For a transparent (no fill) shape, select 0 - ddBKTransparent. For an opaque shape, select 1 - ddBKNormal.

  • height: Adjusts the height of your shape. (Tip: For a perfect circle or square, ensure that the height and width are equal.)

  • left: Adjusts the position of the leftmost point of the shape.

  • LineColor: Changes the border color of shape. Click on the box on the right side of LineColor, so that a palette appears, then click on a color. (Note: If LineStyle is set to transparent, the border will not appear.)

  • LineStyle: Changes the line style of the border. To select a style, click the down arrow to the right of LineStyle. The line can be transparent (invisible), solid, dashed (long dashes), or dotted (short dashes).

  • LineWeight: Adjusts the thickness of the border.

  • Shape: Changes the shape to a rectangle, ellipse, or rounded rectangle. Click on the down arrow on the right, then click on a shape.

  • Tag: Free property with no effect on the shape. Typically used for entering comments.

  • top: Adjusts the position of the uppermost point of the shape.

  • Visible: If you want the shape to appear in your report when you run it, select True. If you want the shape to be hidden in your report when you run it, select False. The shape will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of the shape. (Tip: For a perfect circle or square, ensure that the height and width are equal.)


Report Mode: Inserting Images

The Image tool allows you to insert pictures into your report. Acceptable image file formats include BMP, ICO, JPG, GIF, WMF, and DIB.

To insert an image:

  1. Click the Image button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the image into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

  3. To load an image into the image box, click on it. Click on Picture in the Property Toolbox, then click on the ... button on the right. An Open window will appear. Select the image file that you want to load. If you do not see the file you are looking for, change the folder or directory by clicking the Look in box. Once you have selected your file, click Open.

Changing Image Properties

To change the properties of your image, click on it, then click on a property in the Property Toolbox:

  • BackColor: Changes the background fill color of the background behind the picture. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style of the image background to transparent or opaque. For a transparent (no fill) background, select 0 - ddBKTransparent. For an opaque background, select 1 - ddBKNormal.

  • DataField:

  • ForeColor:

  • height: Adjusts the height of the image box.

  • hyperLink: Allows the insertion of a hyperlink, such as the address of a web site or file. To enter a hyperlink, simply type in the address. When the image box is clicked on while your report is running (see Running Reports), the address will open in a new window.

  • left: Adjusts the position of the leftmost side of the image box.

  • LineColor: Changes the color border of the image box. Click on the box on the right side of LineColor, so that a palette appears, then click on a color. (Note: If LineStyle is set to transparent, the border will not appear.)

  • LineStyle: Changes the line style of the border. To select a style, click the down arrow to the right of LineStyle. The line can be transparent (invisible), solid, dashed (long dashes), or dotted (short dashes).

  • LineWeight: Adjusts the thickness of the border.

  • Picture: Loads an image file into the image box. Click on the ... button to the right of Picture. An Open window will appear. Select the image file that you want to load, then click Open.

  • PictureAlignment: Adjusts the alignment of the picture within the image box. Click the down arrow to the right of PictureAlignment, then choose one of the alignment options.

  • SizeMode: Adjusts the sizing of the picture within the image box. Click the down arrow to the right of SizeMode, then select one of the sizing options. Clip maintains the picture's actual size, but the picture will be cropped if it is larger than the image box. Stretch stretches the image to fit the height of the image box. Zoom resizes the image to fit the image box, without distorting its proportions.

  • Tag: Free property with no effect on the image. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the image box.

  • Visible: If you want the image to appear in your report when you run it, select True. If you want the image to be hidden in your report when you run it, select False. The image will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of the image box.


Report Mode: Inserting Lines

The Line tool allows you to draw lines in your report. Lines can be solid, dashed, or dotted.

To insert a line:

  1. Click the Line button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the line into. Click and hold down your left mouse button, and move your mouse so that a line appears. When you are satisfied with the length of your line, release the mouse button.

Changing Line Properties

To change the properties of your line, click on it, then click on a property in the Property Toolbox:

  • LineColor: Changes the color of the line. Click on the box on the right side of LineColor, so that a palette appears, then click on a color.

  • LineStyle: Changes the style of the line. To select a style, click the down arrow to the right of LineStyle. The line can be transparent (invisible), solid, dashed (long dashes), or dotted (short dashes).

  • LineWeight: Adjusts the thickness of the line.

  • Tag: Free property with no effect on the line. Typically used for entering comments.

  • Visible: If you want the line to appear in your report when you run it, select True. If you want the line to be hidden in your report when you run it, select False. The line will be visible while you are designing your report regardless of the settings of this property.

  • x1: Adjusts the horizontal position of one end of the line.

  • x2: Adjusts the horizontal position of the other end of the line.

  • y1: Adjusts the vertical position of one end of the line.

  • y2: Adjusts the vertical position of the other end of the line.


Report Mode: Inserting RichEdit Controls

RichEdit controls display the contents of Rich Text Format (RTF) files. RTF files can be created in EasyWord.

To insert a RichEdit control:

  1. Click the RichEdit Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the RichEdit control into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

Changing RichEdit Control Properties

To change the properties of your RichEdit control, click on it, then click on a property in the Property Toolbox:

  • BackColor: Changes the background fill color of the RichEdit control. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackStyle: Sets the fill style of the RichEdit control to transparent or opaque. For a transparent (no fill) background, select 0 - ddBKTransparent. For an opaque background, select 1 - ddBKNormal.

  • CanGrow: If you want the RichEdit control to grow when it is not large enough to fit the text, select True. If you want the RichEdit control to maintain its size even if all the text will not be visible, select False.

  • CanShrink: If you want the RichEdit control to shrink to fit the text, select True. If you want the RichEdit control to maintain its size even if the text does not fill it, select False.

  • DataField:

  • height: Adjusts the height of the RichEdit control.

  • left: Adjusts the position of the leftmost side of the RichEdit control.

  • MultiLine: If you want to allow multiple lines of text to appear in your RichEdit control, select True. If you want all of the text in your RichEdit control to appear on one line, select False.

  • Tag: Free property with no effect on the RichEdit control. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the RichEdit control.

  • Visible: If you want the RichEdit control to appear in your report when you run it, select True. If you want the RichEdit control to be hidden in your report when you run it, select False. The RichEdit control will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your RichEdit control.


Report Mode: Inserting Frames

To insert a frame:

  1. Click the Frame button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the frame into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

Changing Frame Properties

To change the properties of your frame, click on it, then click on a property in the Property Toolbox:

  • BackColor: Changes the background fill color of the frame. Click on the box on the right side of BackColor, so that a palette appears, then click on a color.

  • CanGrow: If you want the frame to grow when it is not large enough to fit its contents, select True. If you want the frame to maintain its size even if all contents will not be visible, select False.

  • CanShrink: If you want the frame to shrink to fit its contents, select True. If you want the frame to maintain its size even if its contents do not fill it, select False.

  • CloseBorder:

  • height: Adjusts the height of the frame.

  • left: Adjusts the position of the leftmost side of the frame.

  • Tag: Free property with no effect on the frame. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the frame.

  • Visible: If you want the frame to appear in your report when you run it, select True. If you want the frame to be hidden in your report when you run it, select False. The frame will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your frame.


Report Mode: Inserting Subreport Controls

The Subreport Control tool allows you to insert a report within your current report.

To insert a subreport control:

  1. Click the Subreport Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the subreport control into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

Changing Subreport Control Properties

To change the properties of your subreport control, click on it, then click on a property in the Property Toolbox:

  • CanGrow: If you want the subreport control to grow when it is not large enough to fit its contents, select True. If you want the subreport control to maintain its size even if all contents will not be visible, select False.

  • CanShrink: If you want the subreport control to shrink to fit its contents, select True. If you want the subreport control to maintain its size even if its contents do not fill it, select False.

  • DataField:

  • height: Adjusts the height of the subreport control.

  • left: Adjusts the position of the leftmost side of the subreport control.

  • ReportName :

  • Tag: Free property with no effect on the subreport control. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the subreport control.

  • Visible: If you want the subreport control to appear in your report when you run it, select True. If you want the subreport control to be hidden in your report when you run it, select False. The subreport control will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of your subreport control.


Report Mode: Inserting Page Breaks

The Page Break tool allows you to start a new page in your report.

To insert a page break:

  1. Click the Page Break button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the page break into. Click and hold down your left mouse button, and move your mouse so that a box appears. Then, release your mouse button.

  3. A small, thick black line will appear, representing a page break. To move the page break to another location, drag the black line.

Changing Page Break Properties

To change the properties of your page break, click on it, then click on a property in the Property Toolbox:

  • Enabled: Select True if you want the page break to be turned on. Select False if you want the page break to be turned off. If the page break is turned off, it will not start a new page.

  • Tag: Free property that has no effect on the page break. Typically used for entering comments.

  • top: Adjusts the vertical position of the page break.


Report Mode: Inserting OLE Objects

The OLE (Object Linking and Embedding) Object tool allows you to insert any type of file into your report.

To insert an object:

  1. Click the OLE Object button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the object into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

  3. An Insert Object window will appear.

  4. To create a new object, click Create New, then choose and object type from the list. To insert an existing object, click Create From File, then click the Browse button to select a file.

  5. Click OK. An icon representing the object you inserted will appear.

Changing OLE Object Properties

To change the properties of your object, click on it, then click on a property in the Property Toolbox:

  • BackColor: Changes the background fill color of the object box. Click on the box on the right side of BackColor, so that a palette appears, then click on a color. (Note: BackStyle must be set to Normal for the background color to appear. If it is set to Transparent, there will be no fill.)

  • BackColor: Sets the fill style of the object box to transparent or opaque. For a transparent (no fill) background, select 0 - ddBKTransparent. For an opaque background, select 1 - ddBKNormal.

  • Class:

  • DataField:

  • height: Adjusts the height of the object box.

  • left: Adjusts the position of the leftmost side of the object box.

  • PictureAlignment: Adjusts the alignment of the icon within the object box. Click the down arrow to the right of PictureAlignment, then choose one of the alignment options.

  • SizeMode: Adjusts the sizing of the icon within the object box. Click the down arrow to the right of SizeMode, then select one of the sizing options. Clip maintains the icon's actual size, but the icon will be cropped if it is larger than the object box. Stretch stretches the icon to fit the height of the object box. Zoom resizes the icon to fit the object box, without distorting its proportions.

  • Tag: Free property with no effect on the object. Typically used for entering comments.

  • top: Adjusts the position of the uppermost side of the object box.

  • Visible: If you want the object to appear in your report when you run it, select True. If you want the object to be hidden in your report when you run it, select False. The object will be visible while you are designing your report regardless of the settings of this property.

  • width: Adjusts the width of the object box.


Report Mode: Inserting ActiveX Controls

To insert an ActiveX control:

  1. Click the ActiveX Control button on the Toolbox to the left of your report.

  2. An Insert ActiveX Control window will appear.

  3. Select the ActiveX control type you want to insert, then click OK.

  4. Move your mouse to the section of your report you want to insert the ActiveX control into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.

Changing ActiveX Control Properties

To change the properties of your ActiveX control, click on it, then click on a property in the Property Toolbox:

  • Height: Adjusts the height of the ActiveX control box.

  • Left: Adjusts the position of the leftmost side of the ActiveX control.

  • Tag: Free property with no effect on the ActiveX control. Typically used for entering comments.

  • Top: Adjusts the position of the uppermost side of the ActiveX control.

  • Visible: If you want the ActiveX control to appear in your report when you run it, select True. If you want the ActiveX control to be hidden in your report when you run it, select False. The ActiveX control will be visible while you are designing your report regardless of the settings of this property.

  • Width: Adjusts the width of your ActiveX control.


Report Mode: Inserting Barcode Controls

To insert a barcode control:

  1. Click the Barcode Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the barcode control into. Click and hold down your left mouse button, and move your mouse so that a box appears. When you are satisfied with the size of your box, release the mouse button.


Report Mode: Inserting ADO Data Controls

To insert an ADO data control:

  1. Click the ADO Data Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the ADO data control into. Click and hold down your left mouse button, and move your mouse so that a box appears. Then, release your mouse button.

  3. An ADO box will appear, representing an ADO data control. This box will not appear in your report when you run it.


Report Mode: Inserting DAO Data Controls

To insert an DAO data control:

  1. Click the DAO Data Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the DAO data control into. Click and hold down your left mouse button, and move your mouse so that a box appears. Then, release your mouse button.

  3. An DAO box will appear, representing an DAO data control. This box will not appear in your report when you run it.


Report Mode: Inserting RDO Data Controls

To insert an RDO data control:

  1. Click the RDO Data Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the RDO data control into. Click and hold down your left mouse button, and move your mouse so that a box appears. Then, release your mouse button.

  3. An RDO box will appear, representing an RDO data control. This box will not appear in your report when you run it.


Report Mode: Inserting XML Data Controls

To insert an XML data control:

  1. Click the XML Data Control button on the Toolbox to the left of your report.

  2. Move your mouse to the section of your report you want to insert the XML data control into. Click and hold down your left mouse button, and move your mouse so that a box appears. Then, release your mouse button.

  3. An XML box will appear, representing an XML data control. This box will not appear in your report when you run it.


Report Mode: Selecting Controls

Type topic text here.


Report Mode: Resizing Controls

To resize a field, label, text box, image, or other control in your report:

  1. Click on the control you want to resize. To resize more than one control at once, hold down the Ctrl key while you click the other controls you want to resize. (See Also: Selecting Controls)

  2. Move your mouse to one of the small, dark squares on the control box. Your cursor will change to a double-headed arrow.

  3. Hold down your left mouse button, and drag a square to adjust the size of the box. Dragging a side will change one dimension, while dragging a corner will change both the horizontal and vertical dimensions.

Using the Property Toolbox

To resize a control with the Property Toolbox:

  1. Select the control you want to resize. The name of the control should appear beside (Name) in the Property Toolbox.

  2. Click on the number next to height in the Property Toolbox, then type in a new height value. This value is in pixels.

  3. Click on the number next to width in the Property Toolbox, then type in a new width value. This value is in pixels.

Making Fields and Controls the Same Size

To make a group of controls the same width, height, or size:

  1. Select the controls you want to size. The sizes of the controls will be changed to match the size of the last control you select. To select multiple controls, click on the first control, then hold down the Ctrl key while you click on the other controls. (See Also: Selecting Controls)

  2. Using the Alignment buttons on the Report Designer Toolbar, you can:

    • Click the Make same width button to make your selected controls the same width.

    • Click the Make same height button to make your selected controls the same height.

    • Click the Make same size button to make your selected controls the same width and height.


Report Mode: Moving Controls

To move a field, label, text box, image, or other control in your report:

  1. Click on the control you want to move. To move multiple controls at once, hold down the Ctrl key while you click the other controls you want to move. (See Also: Selecting Controls)

  2. While continuing to hold down the mouse button, move your mouse to drag the control(s) to a new location.

  3. Release the mouse button.

Using the Property Toolbox

To move a control with the Property Toolbox:

  1. Select the control you want to move. The name of the control should appear beside (Name) in the Property Toolbox.

  2. Click on the number next to top in the Property Toolbox, then type in a top position. This represents the position of the uppermost side of the control box.

  3. Click on the number next to left in the Property Toolbox, then type in a new left position. This represents the position of the leftmost side of the control box.


Report Mode: Aligning Controls

Fields, labels, text boxes, images, and other controls can be centered in a section of your report. You can also line up the sides or centers or a group of controls.

Centering Controls

To center a control horizontally:

  1. Click on the field or control you want to center.

  2. Do one of the following:

    • Go to the Format menu on the Report Designer Toolbar, then move your mouse over Align.

    • Click the down arrow on the Align button.

  3. A list will appear. Click Center in Section. The selected control will be centered.

Aligning Sides and Centers

To line up a side or the centers of a group of controls:

  1. Select the controls you want to align. The positions of the controls will be moved to match the last control you select. To select multiple controls, click on the first control, then hold down the Ctrl key while you click on the other controls. (See Also: Selecting Controls)

  2. Do on the following:

    • Go to the Format menu on the Report Designer Toolbar, then move your mouse over Align.

    • Click the down arrow on the Align button.

  3. A list will appear. Using the list, you can:

    • Click Lefts to line up the leftmost sides of the controls.

    • Click Centers to line up the (horizontal) centers of the controls.

    • Click Rights to line up the rightmost sides of the controls.

    • Click Tops to line up the uppermost sides of the controls.

    • Click Middles to line up the (vertical) centers of the controls.

    • Click Bottoms to line up the lowermost sides of the controls.


Report Mode: Sending to Front or Back

The Bring to Front and Send to Back tools are useful when layering fields, labels, text boxes, images, and other controls.

To send a control to the front:

  1. Click on the control.

  2. Do one of the following:

    • Go to the Format menu on the Report Designer Toolbar , then click Bring to Front. Or,

    • Click the Bring to Front button.

To send control to the back:

  1. Click on the control.

  2. Do one of the following:

    • Go to the Format menu on the Report Designer Toolbar , then click Send to Back. Or,

    • Click the Send to Back button.


Report Mode: Snapping to Grid

To align a field, label, text box, image, or other control with the grid lines:

  1. Click on the control you want to snap to the grid.

  2. Click the Snap to Grid button.

If you do not want the control to be snapped to the grid, simply click the Snap to Grid button again.

See Also:

Grid Lines


Report Mode: Locking Controls

When you lock a field, label, text box, image, or other control in your report, its position and size will be fixed. When a field or control is locked, it cannot be moved or resized manually with your mouse. Position and size can be adjusted with the Property Toolbox even when locked.

To lock a control:

  1. Click on the control you want to lock. To lock multiple controls at once, hold down the Ctrl key while you click the other controls you want to lock. (See also: Selecting Controls)

  2. Click the Lock Controls button. The control's current position and size will be locked.

To unlock a control:

  1. Click on the control you want to unlock.

  2. Click the Lock Controls button again.


Report Mode: Deleting Controls

To delete a field, label, image, or other control in your report:

  1. Click on the control you want to delete. To delete multiple controls at once, hold down the Ctrl key while you click on the other controls you want to delete. (See also: Selecting Controls)

  2. Do one of the following:

    • Go to the Edit menu on the Report Designer Toolbar and click Delete. Or,

    • Press the Delete key on your keyboard.


Report Mode: Cut, Copy, and Paste

Cutting, copying, and pasting allow you to move fields and other controls from one location to another. After cutting or copying, a controls can be pasted back into the same section of your report, another section of your report, or another report.

Cutting

Cutting places data onto an imaginary clipboard. The control that you cut will be removed from your report, and can then be pasted to another location.

To cut:

  1. Click on the control you want to cut. To cut multiple controls at once, hold down the Ctrl key while you click on the other controls you want to cut. (See also: Selecting Controls)

  2. Do one of the following:

    • Go to the Edit menu on the Report Designer Toolbar, then click Cut. Or,

    • Click the Cut button.

Note: The typical Ctrl+X keyboard shortcut cannot be used to cut controls.

Copying

Like cutting, copying puts data onto an imaginary clipboard. Unlike cutting, the control you copy will not be removed from your report. The control can then be pasted to another location.

To copy:

  1. Click on the control you want to copy. To copy multiple controls at once, hold down the Ctrl key while you click on the other controls you want to copy. (See also: Selecting Controls)

  2. Do one of the following:

    • Go to the Edit menu on the Report Designer Toolbar, then click Copy. Or,

    • Click the Copy button.

Note: The typical Ctrl+C keyboard shortcut cannot be used to copy controls.

Pasting

After cutting or copying a control, it can be pasted back into the same section of your report, another section of your report, or another report.

To paste:

  1. Select the section of the report you want to paste into.

  2. Do one of the following:

    • Go to the Edit menu on the Report Designer Toolbar, then click Paste. Or,

    • Click the Paste button.

Note: The typical Ctrl+V keyboard shortcut cannot be used to paste controls.


Report Mode: Undo

If, while designing your report, you decide that your last step was a mistake, you can undo it.

To undo your last step, do one of the following::

  • Go to the Edit menu on the Report Designer Toolbar, then click Undo. Or,

  • Click the Undo button.

Note: The typical Ctrl+Z keyboard shortcut cannot be used to undo in Report Mode.


Report Mode: Font Style and Size

You can change the font style or size of the text in a field, label, text box, or other control. You can also apply bold, italic, and underline formatting.

To format the font style and size:

  1. Click on the control that contains the text you want to format.

  2. Using the Format toolbar above your report, you can:

    • Click the down arrow on the Style box to select a font style (Normal, Heading, etc.).

    • Click the down arrow on the Font box to select a font (Arial, Times New Roman, etc.).

    • Click the down arrow on the Font Size box to select the size of your text.

    • Click the Bold button to apply bold formatting to your text.

    • Click the Italic button to apply italic formatting to your text.

    • Click the Underline button to underline your text.

Using the Property Toolbox

To change the font style or size of text in a field, label, text box, or other control with the Property Toolbox:

  1. Select the control that contains the text your want to format. The name of the control should appear beside (Name) in the Property Toolbox.

  2. Click on Font.

  3. Click on the ... button to the right of Font.

  4. A Font window will appear. Here, you can:

    • Select a font from the Font box.

    • Select a font style (bold, italic) from the Font style box.

    • Select a font size from the Size box.

    • Check off effects (strikeout, underline) under Effects.

    • Select a script type from the Script box.

  5. Click OK. The formatting will be changed.


Report Mode: Font Color

You can change the color of the text in a field, label, text box, or other control.

To change the font color:

  1. Click on the control that contains the text you want to format.

  2. On the Format toolbar, click the down arrow on the Font Color button.

  3. A palette will appear. Click on a color.

Using the Property Toolbox

To change the color of text in a field, label, text box, or other control with the Property Toolbox:

  1. Click on the control that contains the text your want to format. The name of the control should appear beside (Name) in the Property Toolbox.

  2. Click on ForeColor.

  3. Click on the down arrow to the right of ForeColor.

  4. A palette will appear. Click on a color.


Report Mode: Text Alignment

You can change the horizontal alignment of text in a field, label, text box, or other control. Possible alignments include left, center, and right.

To change the text alignment:

  1. Click on the control that contains the text you want to align.

  2. Click either the Align Left, Center, or Align Right button.

Using the Property Toolbox

The Property Toolbox allows you to adjust both the horizontal and vertical alignment of text.

To change the horizontal alignment of text:

  1. Click on the control that contains the text your want to align. The name of the control should appear beside (Name) in the Property Toolbox.

  2. Click on Alignment.

  3. Click on the down arrow to the right of Alignment.

  4. A list box will appear. Click on 0 - ddTXLeft for left alignment, 1 - ddTXRight for right alignment, or 2 - ddTXCenter for centered alignment.

To change the vertical alignment of text:

  1. Select the control that contains the text your want to align. The name of the control should appear beside (Name) in the Property Toolbox.

  2. Click on VerticalAlignment.

  3. Click on the down arrow to the right of VerticalAlignment.

  4. A list box will appear. Click on 0 - ddTXTop to push the text to the top, 1 - ddTXMiddle for centered alignment, or 2 - ddTXBottom to push the text to the bottom.


Report Mode: Formatting Numbers

Several number formatting options are available for number fields. Formatting appears when you run your report.

Decimals, Commas, and Negative Numbers

To specify the number of decimal places, to add commas to your numbers, or to format negative numbers:

  1. Click on the number field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Number.

  5. Enter the number of decimal places you want in the Decimal Places box.

  6. If you want commas to appear in your numbers (1,000,000), check off Use 1000 Separator.

  7. Select a format for negative numbers from the Negative Numbers box.

  8. Click OK. The formatting of the numbers in the field will be changed.

Currency

To apply currency formatting:

  1. Click on the number field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Currency.

  5. Enter the number of decimal places you want in the Decimal Places box.

  6. Select a currency symbol from the Symbol box. Many international currency symbols are available.

  7. Select a format for negative numbers from the Negative Numbers box.

  8. Click OK. The formatting of the numbers in the field will be changed.

Percentages

The percentage formatting option allows you to convert numbers to percentages. For example, 0.5 would be changed to 50 %. To apply percentage formatting:

  1. Click on the number field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Percentage.

  5. Enter the number of decimal places you want in the Decimal Places box.

  6. Click OK. The formatting of the numbers in the field will be changed.

Scientific Notation

You can convert numbers to scientific notation. 1000 is 1.00E+03 in scientific notation. To apply scientific notation formatting:

To apply currency formatting to numbers:

  1. Click on the number field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Custom.

  5. In the Type box, select one of the scientific notation formats (0.00E+00 or ##0.0E+0).

  6. Click OK. The formatting of the numbers in the field will be changed.

Removing Number Formatting

To remove number formatting that you have previously specified:

  1. Click on the number field you want to change.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on General.

  5. Click OK. The formatting will be removed.


Report Mode: Formatting Dates and Times

Several date and time formatting options are available for date/time fields. Formatting appears when you run your report.

Formatting Dates

If you format only the date and your fields also contain the time, the time will not be shown when you run your report. To apply date formatting:

  1. Click on the date/time field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Date.

  5. Select a date format from the Type box.

  6. Click OK. The date formatting will be changed.

Formatting Times

If you format only the time, the date will not be shown when you run your report. If your date/time field does not contain the time, the time will be set to 12:00 AM. To apply time formatting:

  1. Click on the date/time field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Time.

  5. Select a time format from the Type box.

  6. Click OK. The time formatting will be changed.

Formatting Dates and Times

To format both the date and time:

  1. Click on the date/time field you want to format.

  2. Click on OutputFormat in the Property Toolbox.

  3. Click on the ... button to the right of OutputFormat. An OutputFormat Properties window will appear.

  4. Under Category, click on Custom.

  5. Select a date and time format from the Type box. Ensure that the type you select includes both date and time formatting (e.x., h:mm:ss AM/PM).

  6. Click OK. The date and time formatting will be changed.


Report Mode: Background Color

To change the background color of a section or control in your report:

  1. Select the section or control you want to change the background color of. For help on selecting sections, see Selecting Sections.

  2. Do one of the following:

    • Go to the Format menu on the Report Designer Toolbar and move your mouse over BackColor. Or,

    • Click the down arrow on the Fill button on the Report Designer Toolbar.

  3. A color palette will pop up. Click on the color you want to change the background to. The background color will be changed.

Using the Property Toolbox

To change the background color of a section or control in your report with the Property Toolbox:

  1. Select the section or control you want to change the background color of. Its name should appear beside (Name) in the Property Toolbox.

  2. Click on BackColor.

  3. Click on the box to the right of BackColor. A palette will appear. Click on a color.

  4. Click on BackStyle.

  5. Click the down arrow to the right of BackStyle. A drop down list will appear. Click on 1 - ddBKNormal. (Note: If it is set to transparent, the background color will not be visible.)


Report Mode: Line Style and Color

You can change the style and color of lines, shape borders, and image borders.

To change the line style:

  1. Click on the line, shape, or image you want to change.

  2. On the Format toolbar, click the down arrow on the Line Style button.

  3. A choice of line styles will appear. Click on a style. The line style will be changed.

To change the line color:

  1. Click on the line, shape, or image you want to change.

  2. On the Format toolbar, click the down arrow on the Line Color button.

  3. A palette will appear. Click on a color. The line color will be changed. (Hint: If you do not want your shape or image to have a border, click None.)

Using the Property Toolbox

To change the line style, color, and weight with the Property Toolbox:

  1. Select the line, shape, or image you want to change. The name of the field or object should appear beside (Name) in the Property Toolbox.

  2. To change the line style, click on LineStyle, then click on the down arrow on the right. A list will appear, where you can select solid, dashed, or dotted. Click on a style. (Hint: If you do not want your shape or image to have a border, select 0 - Transparent.)

  3. To change the line color, click on LineColor, then click on the down arrow on the right. A palette will appear. Click on a color.

  4. To change the thickness of the line, click on the number beside LineWeight, and type in the new thickness.

  5. A palette will appear. Click on a color. The font color will be changed.


Report Mode: Calculating Totals

You can calculate grand totals, running totals, and page totals. Totals are typically used in the footer sections of your report.

A grand total is the sum of the values in the number field using all records in your database.

A running total is the sum of the values in the number field for all records up to and including the current record in your report. If a running total is used in a page footer, it will give the sum of the values in the number field for all records up to and including the last record on a given page of your report.

A page total is the sum of the values in the number fields for all records on a given page of your report.

Calculating Totals with the Property Toolbox

To calculate the total for a number field using the Property Toolbox:

  1. Insert a copy of the number field you want to calculate the total for. It should be inserted into the section of your report you want the total to be displayed. Running or page totals are typically placed in page footers, while grand totals are typically placed in report footers. For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryFunc, then click on the down arrow to the right. A list will appear. Select 0 - ddSFSum.

  4. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. For either a grand total or page total, select 0 - ddSRNone. For a running total, select 2 - ddSRAll.

  5. Click on SummaryType then click on the down arrow to the right. A list will appear. For either a grand total or running total, select 1 - ddSMGrandTotal. For a page total, select 2 - ddSMPageTotal.

Settings for a grand total, running total, and page total are as follows:

Total | SummaryRunning | SummaryType
Grand Total | 0 - ddSRNone | 1 - ddSMGrandTotal
Running Total | 2 - ddSRAll | 1 - ddSMGrandTotal
Page Total | 0 - ddSRNone | 2 - ddSMPageTotal

Calculating Totals with VBScript

Coming soon.


Report Mode: Calculating Averages

You can calculate averages of the values in a number field. An average is calculated by summing the values, then dividing the sum by the number of records.

Calculating Averages with the Property Toolbox

To calculate the average for a number field using the Property Toolbox:

  1. Insert a copy of the number field you want to calculate the average for. It should be inserted into the section of your report you want the average to be displayed. For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryFunc, then click on the down arrow to the right. A list will appear. Select 1 - ddSFAvg.

  4. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. To calculate the average for all records in your report or all records on each page, select 0 - ddSRNone. To calculate a running average (using all records up to and including the current record), select 2 - ddSRAll.

  5. Click on SummaryType, then click on the down arrow to the right. To calculate the average for all records, or to calculate a running average, select 1 - ddSMGrandTotal. To calculate the average for all records on a page, select 2 - ddSMPageTotal.


Report Mode: Finding Minimums and Maximums

You can find the smallest or largest value in a number field for a group of records.

Calculating Minimums and Maximums with the Property Toolbox

To find the minimum or maximum value for a number field using the Property Toolbox:

  1. Insert a copy of the number field for which you want to find the minimum or maximum value. It should be inserted into the section of your report you want the minimum or maximum value to be displayed. For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryFunc, then click on the down arrow to the right. A list will appear. To find the minimum value, select 3 - ddSFMin. To find the maximum value, select 4 - ddSFMax.

  4. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. To find the minimum or maximum value of all records in your report or all records on a page, select 0 - ddSRNone. To find a running minimum or maximum value (using all records up to and including the current record), select 2 - ddSRAll.

  5. Click on SummaryType, then click on the down arrow to the right. To find the minimum or maximum value of all records, or to find a running minimum or maximum value, select 1 - ddSMGrandTotal. To find the minimum or maximum value of all records on a page, select 2 - ddSMPageTotal.

Calculating Totals with VBScript

Coming soon.


Report Mode: Calculating Variance

Variance represents the dispersion between values and the average of a given population. Variance is equal to square of the standard deviation.

To calculate the variance for a number field using the Property Toolbox:

  1. Insert a copy of the number field you want to calculate the variance for. It should be inserted into the section of your report you want the variance to be displayed (typically, the page or report footer). For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryFunc, then click on the down arrow to the right. A list will appear. If you want your records to be considered as a sample of a population, select 7 - ddSFStdDev. If you want your records to be considered as an entire population, select 8 - ddSFStdDevP.

  4. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. To calculate the variance for all records in your report or all records on each page, select 0 - ddSRNone. To calculate a running variance (using all records up to and including the current record), select 2 - ddSRAll.

  5. Click on SummaryType, then click on the down arrow to the right. To calculate the variance for all records, or to calculate a running variance, select 1 - ddSMGrandTotal. To calculate the variance for all records on a page, select 2 - ddSMPageTotal.

Calculating Variance with VBScript

Coming soon.


Report Mode: Calculating Standard Deviation

Report Mode: Calculating Standard Deviations

Standard deviation represents the dispersion between values and the average of a given population. The standard deviation is equal to the square root of the variance.

To calculate the standard deviation for a number field using the Property Toolbox:

  1. Insert a copy of the number field you want to calculate the standard deviation for. It should be inserted into the section of your report you want the standard deviation to be displayed (typically, the page or report footer). For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryFunc, then click on the down arrow to the right. A list will appear. If you want your records to be considered as a sample of a population, select 7 - ddSFStdDev. If you want your records to be considered as an entire population, select 8 - ddSFStdDevP.

  4. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. To calculate the standard deviation for all records in your report or all records on each page, select 0 - ddSRNone. To calculate a running standard deviation (using all records up to and including the current record), select 2 - ddSRAll.

  5. Click on SummaryType, then click on the down arrow to the right. To calculate the standard deviation for all records, or to calculate a running standard deviation, select 1 - ddSMGrandTotal. To calculate the standard deviation for all records on a page, select 2 - ddSMPageTotal.

Calculating Totals with VBScript

Coming soon.


Report Mode: Counting Records

You can find the number of records in your report, or the number of records on a page of your report.

Counting Records with the Property Toolbox

To count the number of records using the Property Toolbox:

  1. Insert a copy of any field into the section of your report you want the count to be displayed. If you are counting the number of records in your report, the field should be inserted into the report footer. If you are counting the number of records on a page or finding a running count, the field should be inserted into the page footer. For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryFunc, then click on the down arrow to the right. A list will appear. Select 2 - ddSFCount.

  4. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. To count all records in your report or all records on each page, select 0 - ddSRNone. For a running count (counting all records up to and including the current record), select 2 - ddSRAll.

  5. Click on SummaryType, then click on the down arrow to the right. To count all records in your report, or for a running count, select 1 - ddSMGrandTotal. To count the records on each page, select 2 - ddSMPageTotal.


Report Mode: Counting Pages

You can insert page numbers into your report. You can also find the total number of pages.

Inserting Page Numbers with the Property Toolbox

To insert page numbers into your report using the Property Toolbox:

  1. Insert a copy of any field into the section of your report you want the page numbers to be displayed. Page numbers are typically placed in the page header or page footer. For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. Select 2 - ddSRAll.

  4. Click on SummaryType then click on the down arrow to the right. A list will appear. Select 4 - ddSMPageCount.

Finding the Total Number of Pages with the Property Toolbox

To find the total number of pages in your report using the Property Toolbox:

  1. Insert a copy of any field into the section of your report you want the total number of pages to be displayed. For help on inserting fields, see Inserting Fields.

  2. Click on the field you inserted. Its name should appear beside (Name) in the Property Toolbox.

  3. Click on SummaryRunning, then click on the down arrow to the right. A list will appear. Select 0 - ddSRNone.

  4. Click on SummaryType then click on the down arrow to the right. A list will appear. Select 4 - ddSMPageCount.


Report Mode: Running a Report

To view or print your report after setting it up in Report Designer, you must run it.

To run a report:

  • Go to the Reports menu and click Run report. Or,

  • Click the Run button.

To switch back to Report Designer:

  • Go to the Reports menu and click Go back to 'Design Report Mode'. Or,

  • Click the Run button again.


Running Reports: Printing Reports

While running your report, you can print it out.

To print your report, click the Print button.


Running Reports: Navigating Pages

Use the following buttons to navigate the pages of your report:

  • To view the next page, click the Next Page button.

  • To view the previous page, click the Previous Page button.

  • To view the last page you were looking at, click the Back button.

  • If you have pressed Back button, click the Forward button to view the next page you looked at.


Running Reports: Copying Reports

When you copy your report, it will be placed on the clipboard in your computer. It can then be pasted into documents in other programs, such as EasyWord.

To copy your report while it is running, click the Copy button.


Running Reports: Searching Reports

While your report is running, you can search it for text you specify. This is especially useful for reports with a large quantity of records.

To search your report:

  1. Click the Find button.

  2. A Find window will appear.

  3. Type the text that you are looking for in the Find What box.

  4. If the Match case box is checked off, the search will be case-sensitive - that is, lower and upper case letters will be treated differently. Be sure to type the text exactly as it should appear in your sheet (e.g., a search for 'easyoffice' will not find 'EasyOffice'). If you do not want the search to be case-sensitive (e.g., a search for 'easyoffice' will also find 'EasyOffice'), uncheck the Match case box.

  5. If you want to find only the entire word in the Find What box, check off Match whole word only. If partial matches will be acceptable (e.g., a search for 'Office' will also find 'EasyOffice'), leave this option unchecked.

  6. Under Direction, choose to search either Up or Down in your report.

  7. Click Find Next. Once your text is found, you can click Find Next again to find the next occurrence. If no matches are found, you will be notified when the top or bottom of your report is reached.

  8. When you are finished your search, click Close.


Running Reports: Page View

While your report is running, you can change the number of pages displayed on the screen at once.

To view multiple pages:

  1. Click the Multiple Pages button.

  2. A 2 x 3 grid of pages will appear. Click and hold down your mouse button, and highlight the dimensions you want to be displayed.

  3. Release your mouse button. The page display will be changed.

To view only one page at a time, click the Single Page button.


Running Reports: Zooming

While your report is running, you can enlarge or shrink it on the screen. Zooming in or out will not affect the size of your report when it is printed.

To enlarge your report, click the Zoom In button. Your report will be enlarged by 50 percent.

To shrink your report, click the Zoom Out button. Your report will be reduced by 50 percent.

Note: You may also zoom in or out by clicking the down arrow on the box next to the zoom icons, then selecting a percentage.


VBScript Editor: What is VBScript?

VBScript (Microsoft Visual Basic Scripting Edition) is a scripting language very similar to Visual Basic. Though it does not include all of the features of Visual Basic, it very useful for web and database applications.

If you already know Visual Basic, then you should be able to code in VBScript with ease. VBScript is also quite easy for beginners to learn.


Report Mode: Opening the VBScript Editor

To open the VBScript editor, do one of the following:

  • Go to the View menu on the Report Designer Toolbar and click View Script. Or,

  • Click the View Script button.


VBScript Editor: Closing the VBScript Editor

To close the VBScript Editor and return to your report:

  • Click the Close button in the bottom right corner of the VBScript Editor. Or,

  • Click the X button in the top right corner of the VBScript Editor.


VBScript Editor: Selecting Objects and Events

Objects include your entire report (ActiveReports Document), the Detail section, and any header and footer sections. Associated with each object is a group of events . An event contains a sequence of VBScript statements that describe actions the object will perform. Events are often known as procedures.

To view the events for an object in the VBScript Editor, you must select the object. To do so:

  1. In the VBScript Editor, click the down arrow on the Object box. A list of objects will appear.

  2. Click the name of the object you want to view or edit.

  3. The events for the object will appear in the box below.

  4. To add an event for the object, click the down arrow on the Events box, then click on the name of the event you want to add.

The events found in the Events box are called automatically when a report is run. Events begin with Sub and end with End Sub. EventName is the name assigned to the event (such as OnFormat, OnBeforePrint, and so on). Within an event, you can write a sequence of VBScript statements. The format for events is as follows:

Sub EventName

[VBScript statments describing actions to perform]

End Sub


VBScript Editor: Scripting Your Own Events

More advanced users may want to include their own events in addition to the automatic ones. These events allow a set of actions to be performed multiple times without rewriting the code. Your own events will not be called automatically; you must call them yourself within an automatic event. There are two types of events: procedures and functions.

Procedures

Procedures perform a set of actions without returning any values. In VBScript, procedures begin with Sub and end with End Sub. ProcedureName is the name you assign to the procedure. The format for procedures is as follows:

Sub ProcedureName

[type VBScript statments describing actions to perform here]

End Sub

To call a procedure within another event, simply type the procedure name.

Example:

Suppose you write a procedure, Reset, to set the values of two fields (Field1 and Field2) to zero. Suppose also that you want the procedure to be called when the report is run (i.e., within the OnReportStart event, which is called automatically). The VBScript code would be as follows:

Functions

Functions perform a set of actions and return a value at the end. In VBScript, functions begin with Function and end with End Function. FunctionName is the name you assign to the function. The last line in the body of a function must have the statement FunctionName = [result] to return a value. Unlike some programming languages, you do not specify the type of value the function returns. The format for functions is as follows:

Function FunctionName

[type VBScript statments describing actions to perform here]

FunctionName = [result to return]

End Function

To call a function within another event, set the value of a control property (such as DataValue) or a variable to the name of the function (e.g., rpt.Field1.DataValue = FunctionName).

Example:

Suppose you write a function, TaxRate, that returns a sales tax rate of 8%. Suppose also that you have a number field, Total, that contains the total cost of a transaction without tax. You want to add tax to this Total field in the ReportFooter section. The VBScript code would be as follows:

Scripting Events with Arguments

Arguments can be used to pass values into procedures and functions. For example, suppose you wanted to write a function that adds two numbers, then returns the result. The function could have two arguments; namely, number1 and number2.

A list of arguments is written inside closed brackets () after the name of the procedure or function. Multiple arguments are separated by commas. Unlike some programming languages, the data type of the argument is not specified.

When a procedure or function is called, the values or variables to pass into the procedure or function must be written in closed brackets () after the name.

Examples:

Suppose you write a function, AddNumbers, that adds two integers, then returns the result. The arguments for this function are num1 and num2. Suppose also that you have two number fields, Fee1 and Fee2, and that you want to store the total fee amount in a text box named TotalFees. To ensure that addition is used (instead of concatenation), one of the numbers is multiplied by 1. The VBScript code is as follows:

Next, suppose that you write a function, KgToLbs, that converts a weight value from kilograms to pounds (Note: 1 kilogram is equivalent to 2.2 pounds). Suppose also that you have a number field, Weight, that stores the weight of items in kilograms, but you want the weight to be displayed in pounds in your report. The VBScript code is as follows:


VBScript Editor: Controls and Properties

The properties of controls in your report can be changed in the VBScript Editor.

Control Names

Each control (field, label, text box, image, and so on) in your report is assigned a name. To view or change a control name:

  1. Ensure that you are in Report Mode with the VBScript Editor closed and without the report running.

  2. Ensure that the Property Toolbox is visible. If it is not, right-click the Report Designer Toolbar, then click Property Toolbox.

  3. Click on the control whose name you want to view or change.

  4. The name of the control will appear beside (Name) in the Property Toolbox.

  5. To change the name of the control, click on the name in the Property Toolbox. Use the Backspace and Delete keys on your keyboard to erase the name, then type in the new name. If you will be using VBScript, it is best to use a name that is easy to remember, descriptive of the control, and relatively short in length.

Controls and Properties in VBScript

To address a control property in your report with VBScript, use the following form:

rpt.ControlName.Property

You must type rpt before each control you address. ControlName is the name you assigned to the control, and Property is the name of the property you want to access or change. For example, the text property of a field with the name Field1 is rpt.Field1.text in VBScript.


VBScript Editor: Performing Calculations

Addition, subtraction, multiplication, division, and other mathematical calculations can be performed with VBScript.

Each number field and text box in your report has a DataValue property. This property stores the value of the field or text box, which can be used in VBScript calculations. The value stored in DataValue will be displayed in the field or text box when your report is running, unless its text property is changed (for details on changing the text displayed, see Outputting Text ).

By default, the DataValue of number fields are the values in your database, and the DataValue of a text field is zero or null. You can change the DataValue of these controls in the VBScript editor. To access or change the value of a control, type rpt.ControlName.DataValue, where ControlName is the name you assigned to the number field or text box.

VBScript Operators

Use the following operators to perform calculations on your fields.

Operator | Description
+ | Addition
- | Subtraction
* | Multiplication
/ | Standard Division (5/2 returns 2.5)
\ | Integer Division (5\2 returns 2)
Mod | Modulus (remainder after division)
^ | Exponentiation

Sample Calculation: Addition

Suppose you have two number fields, Cost1 and Cost2, and you want to store the total cost in a text boxed called TotalCost. Suppose also that these controls are located in the Detail section of your report. The VBScript code is as follows:

Sometimes, the VBScript Editor may assume that you are using the + operator for concatenation instead of addition (i.e., 5 + 5 gives 55 instead of 10). If you encounter this problem, simply multiply one of the numbers in your addition statement by 1. The modified VBScript code from the example above is as follows:

Sample Calculation: Multiplication

Suppose that you have a number field, Price, that you want to add a 15% sales tax to. Suppose also that you want this new amount to be displayed in the Price field. The VBScript code is as follows:


VBScript Editor: Using Variables

Variables are used to store information of various types (numbers, words, and so on). A variable has two properties: its name and its type. Unlike Visual Basic and other programming languages, the type of variable need not be specified.

Declaring and Naming Variables

Before using a variable can be used in your code, it must be declared. A variable declaration has the following form: Dim [VariableName] where VariableName is the name of the variable. Note that the variable type is not specified.

For example, perhaps you wanted to use a variable with the name NumberOfStudents. The declaration statement would be Dim NumberOfStudents.

Variable names can contain letters, numbers, and underscores. Spaces and symbols cannot be used. Predefined VBScript keywords (such as Sub, Function, and Int) cannot be used as variable names.

Scope

The scope of a variable determines where it can and cannot be used.

If a variable is declared inside of a function or procedure (sub), it can be used only within that function or procedure. Such variables are known as procedural or local variables.

If a variable is declared outside of all functions and procedures, it can be used by all functions and procedures within that section of your report. Such variables are known as modular or global variables.

Example:

In the example below, num1 is a global variable which can be used in any function or procedure in the Detail section. The variable num2 is local, and can be used only within OnFormat.

Using Variables

Variables are commonly used to store values that are needed to perform calculations in a report, but are not displayed in the report.

Example:

Suppose you have three number fields in the Detail section of your report, ExamMark, TestMark, and LabMark, that contain marks for students. Suppose also that you do not want the total mark to be displayed, but you want the passing status of each student to be displayed in a text box named Status. This example uses a variable named Mark to store the calculated total mark, then uses Mark to determine which status message should be displayed.


VBScript Editor: Outputting Text

By default, the text appearing in a field or text box will be the same as its DataValue. With VBScript, you can change the text that appears in the control when the report is run without changing the control's value.

Changing Output Text in Fields and Text Boxes

To change the text that appears in a field or text box when the report is run, you must change the text property. To change text property of a control, type rpt.ControlName.text = "[output text]", where ControlName is the name you assigned to the field or text box. For example, suppose you have text box, Title, and you want to change its output text to Summary Report. The VBScript code would be rpt.Title.text = "Summary Report".

You can also set the text property of a field or text box to the DataValue of another control. To do so, type rpt.ControlName1.text = rpt.ControlName2.DataValue, where ControlName1 is the name of the control whose output text you want to change, and ControlName2 is the name of the control whose value you want to use.

Example:

Suppose you have a text box, Title, in the ReportHeader section of your report. Suppose also that you want Summary Report to appear in this text box when you report is run. The VBScript code is as follows:

Using Concatenation

Concatenation is the joining of strings. Each text fragment you type in double quotation marks (" ") is a string. To join strings and data values, type the & symbol between them. (Note: You can instead use the + symbol.)

Example:

Suppose you have a character field, FirstName, that stores the first names of contacts in your database. Suppose also that you want to output the statement Your name is [FirstName] in this field. The VBScript code is as follows:

When the report is run, the output would appear as follows:


VBScript Editor: Conditional Statements

Conditional statements allow you to perform a set of actions only under certain conditions. Like many other programming languages, VBScript uses if/else conditional statements.

If/else statements have the following form:

if [condition1] then

[VB statements to execute if condition1 is true]

elseif [condition2] then

[VB statements to execute if condition1 is false and condition2 is true]

....

else

[VB statements to execute if all other conditions are false]

Each condition must be a statement that can be evaluated as either true or false. The following conditional operators are valid:

Operator | Description
= | Equal to
<> | Not equal to
> | Greater than
>= | Greater than or equal to
< | Less than
<= | Less than or equal to

Example:

Suppose that you have a number filed, Mark, in the Detail section of your report that stores the final marks of students in your database as percentages. Suppose also that you have a text box, Grade, that you want to use to output the letter grade for each student. The VBScript code is as follows:

A possible output when the report is run for the above code is as follows:

Compound Conditions

Sometimes, an if condition statement may require multiple parts. To form a compound condition, use the following logical operators:

Operator | Description
AND | Logical conjunction (x AND y is true only if x and y are both true)
OR | Logical disjunction (x OR y is true if either x is true, y is true, or both x and y are true)
XOR | Logical exclusion (x XOR y is true if either x is true or y is true, but not both)
NOT | Logical negation (NOT x is true if x is false)

Example:

Suppose you have created a database to keep track of payments for a ski trip. You have two number fields, Deposit and Rental, in the Detail section of your report that store the amounts each person has paid towards an initial deposit and an equipment rental fee. Suppose also that you have a text field, PayStatus, that will display Paid if a person has paid the $50 deposit and a $30 rental fee, or Unpaid otherwise. The VBScript code is as follows:

A possible output for the above code when the report is run is as follows:


VBScript Editor: Commenting

Comments will not appear in your report; they simply aid you in writing clear and organized code. Commenting is especially helpful when multiple users will have access to the code.

In VBScript, comments begin with an apostrophe ('). The text you type after the apostrophe will not be compiled as code. The comment will end when you press the Enter key to start a new line of code.

Example:


Adding Users

The administrator has the ability to add new users. Depending on the privileges specified, these users may be able to view data, edit data, add records, delete records, add fields, delete fields, delete the database, and export data. Added have no security privileges; they cannot add users, delete users, or change user information. These actions can be performed by the administrator only.

To add users:

  1. Ensure that the database you want to add users to is currently open.

  2. Go to the Security menu and click Users.

  3. An Add Users to this database window will appear, displaying a list of the users for your current database.

  4. Click the Add a User to the list below button.

  5. An Add a User window will appear.

  6. Click on the text box beside Enter User Name here, then type in the user name.

  7. If you want the user to have a password, check off Enter Password below. Click the down arrow on the box beside Choose the type of password to be entered now, and a list of password types will appear. Click on a password type. A Normal Password uses numbers and letters, while an EasyPassword uses a list of images. Type the password for the user in the Password box, then type it again in the box below to confirm it. This password will be required by the user to open the database. If you do not want the user to have a password, leave Enter Password below unchecked.

  8. Specify the privileges for the user. To specify privileges, click the tabs:

    • View: Check off the categories of fields for which the user will be allowed to view. For example, if A is checked off and all other categories are not, then the user will only be able to view fields with category A. If you want the user to be able to view all fields, click Select All. If you do not want the user to be able to view any of the fields, click Unselect All.

    • Edit: Check off the categories of fields for which the user will be allowed to edit. If A is checked off, then the user will be able to edit the data in all fields with category A. If you want the user to be able to edit all fields, click Select All. If you want the user to be forbidden from editing data in all fields, click Unselect All.

    • Modify Contents: Here, you can control the user's ability to add or delete records. If you want the user to be able to add records to the database, ensure that User is allowed to add records to this database is checked off. If you want the user to be able to delete records from the database, ensure that User is allowed to delete records from this database is checked off.

    • Modify Structure: Here, you can control the user's ability to add or delete fields. If you want the user to be able to add fields to and delete fields from the database, ensure that User is allowed to modify structure of this database is checked off.

    • Delete Database: Here, you can control the user's ability to delete the entire database. If the database is deleted, it will be permanently removed from your system. If you want to allow the user to delete the database, ensure that User is allowed to delete the database is checked off.

    • Export: Check off the categories of fields for which the user will be allowed to export data in. If A is checked off, then the user will be able to export data in all fields with category A. If you want the user to be able to export data in all fields, click Select All. If you want the user to be forbidden from exporting data in all fields, click Unselect All.

  9. Click OK. You will return to the Add Users to this database window, and the user you have added will be listed.

  10. When you are finished adding users, click OK to return to your database.

Note: Remembering user names and password is very important. It is recommended that you write them down on paper and store it in a safe place. E-press Corp. cannot recover lost user names and passwords.


Removing Users

When a user is deleted from a database, he or she will no longer be able to log on. Removing a user from one database will not affect his or her privileges for another database. Users can be deleted by the administrator only.

To remove a user from your database:

  1. Ensure that the database you want to remove a user from is currently open.

  2. Go to the Security menu and click Users.

  3. An Add Users to this database window will appear, displaying a list of the users for your current database.

  4. Click the name of the user you want to delete.

  5. Click the Delete a User listed below button.

  6. If you are allowed to delete the user, you will be asked to confirm the deletion. Click Yes.

The user will be deleted.


Changing User Information

Only the administrator can change user information. This information includes user names, passwords, and privileges (viewing data, editing data, adding records, deleting records, adding fields, deleting fields, deleting the database, and exporting data).

To change a user's user name, password, or privileges:

  1. Ensure that the database for which you want to edit the user's information is currently open.

  2. Go to the Security menu and click Users.

  3. An Add Users to this database window will appear, displaying a list of the users for your current database.

  4. Click the name of the user whose information you want to edit.

  5. Click the Edit rights of a User listed below button.

  6. If you are the administrator, an Edit the user window will appear.

  7. To change the user name, click on the text box beside Enter User Name here, and type in the new name.

  8. To change the password, ensure that Enter Password below is checked off. Click the down arrow on the box beside Choose the type of password to be entered now, and a list of password types will appear. Click on a password type. A Normal Password uses numbers and letters, while an EasyPassword uses a list of images. Type the password for the user in the Password box, then type it again in the box below to confirm it. This password will be required by the user to open the database. If you do not want the user to have a password, ensure that Enter Password below is unchecked.

  9. To change the user's specify privileges, click the tabs:

    • View: Check off the categories of fields for which the user will be allowed to view. For example, if A is checked off and all other categories are not, then the user will only be able to view fields with category A. If you want the user to be able to view all fields, click Select All. If you do not want the user to be able to view any of the fields, click Unselect All.

    • Edit: Check off the categories of fields for which the user will be allowed to edit. If A is checked off, then the user will be able to edit the data in all fields with category A. If you want the user to be able to edit all fields, click Select All. If you want the user to be forbidden from editing data in all fields, click Unselect All.

    • Modify Contents: Here, you can control the user's ability to add or delete records. If you want the user to be able to add records to the database, ensure that User is allowed to add records to this database is checked off. If you want the user to be able to delete records from the database, ensure that User is allowed to delete records from this database is checked off.

    • Modify Structure: Here, you can control the user's ability to add or delete fields. If you want the user to be able to add fields to and delete fields from the database, ensure that User is allowed to modify structure of this database is checked off.

    • Delete Database: Here, you can control the user's ability to delete the entire database. If the database is deleted, it will be permanently removed from your system. If you want to allow the user to delete the database, ensure that User is allowed to delete the database is checked off.

    • Export: Check off the categories of fields for which the user will be allowed to export data in. If A is checked off, then the user will be able to export data in all fields with category A. If you want the user to be able to export data in all fields, click Select All. If you want the user to be forbidden from exporting data in all fields, click Unselect All.

  10. Click OK. You will return to the Add Users to this database window.

  11. When you are finished changing information for your users, click OK to return to your database.


Logging On and Off

You will be prompted to log on with your user name upon opening a database. See Opening a Database for details.

To log off, simply close the database. See Closing a Database for details. Another user can then log on by reopening the database.


Performance Optimizations - Introduction

--pending release of future version of EasyDatabase


What is Data Security?

--pending release of future version of EasyDatabase


What is Data Reliability?

--pending release of future version of EasyDatabase


Transparent Backups and Redundancy

--pending release of future version of EasyDatabase


Introduction to EasyDatabase Server

The EasyDatabase Server Control Program is included on the EasyOffice CD-ROM.

EasyDatabase can be run in three modes: Stand-Alone Mode, File-Sharing Mode, and Client-Server Mode. EasyDatabase Server is useful when running EasyDatabase in Client-Server Mode.

Using EasyDatabase in Client-Server Mode means that it the database is running on a server, and each computer can access the database over the network with a client program. An advantage of Client-Server Mode over File-Sharing Mode is that a larger number of users can access the database at once. Designating a server computer also yields improved security and reliability.

The EasyDatabase Server Control Program has the option of automatically running the server upon program startup. The program can be run while minimized as an icon in your system tray.


Opening EasyDatabase Server

If you purchased the EasyOffice CD-ROM, then the EasyDatabase Server Control program will be installed on your system.

To open the EasyDatabase Tester program:

  1. Click on the Start menu in Windows.

  2. Put your cursor over Programs. A list of programs and folders will appear.

  3. Put your cursor over EasyOffice 2001. A list of EasyOffice programs will appear.

  4. Click EasyDatabase Sever. The EasyDatabase Server Control Program will open.


Running EasyDatabase Server

If you have specified automatic startup, then EasyDatabase Server will begin running upon opening the EasyDatabase Server Control Program. See Automatic Startup for details.

If you are not using automatic startup, then you will have to start the server manually. To start the server:

  1. Open the EasyDatabase Server Control Program. (Click Start -> Programs -> EasyOffice 2001 -> EasyDatabase Server.)

  2. Click the Start EasyDatabase Server button. The status of your server will changed from stopped to running.

  3. The database file compatibility, number of connected clients, percentage of used system resources, and connection port number will be displayed. To refresh this information at any time, click Refresh display of status information.


Stopping EasyDatabase Server

The EasyDatabase Server will be stopped when you exit the EasyDatabase Server Control Program. You may, however, want to stop the server from running while the program remains open.

To stop the EasyDatabase Server, click the Stop EasyDatabase Server button. The status will change from running to stopped.


Automatic Startup of EasyDatabase Server

EasyDatabase Server can automatically start running when you open the EasyDatabase Server Control Program.

To turn automatic startup on, click Automatic Startup of EasyDatabase Server on this computer.

To turn automatic startup off, click No automatic startup. If this option is selected, you will have to click the Start EasyDatabase Server button to start the EasyDatabase Server.


Hiding EasyDatabase Server

You can hide the EasyDatabase Server Control Program in your system tray -- even when EasyDatabase Server is running.

To minimize the EasyDatabase Server Control Program, do one of the following:

  • Click the Minimize (hides in system tray) button.

  • Click the X button in the top right corner of the EasyDatabase Server Control Program window.

The program will be minimized, and an icon will appear in the system tray at the bottom of your screen.

To view the program again, simply double-click on the icon in your system tray.


Closing EasyDatabase Server

When you close the EasyDatabase Server Control Program, the server will also be stopped.

To close the program, click the Exit and STOP EasyDatabase Server button.

Note: Clicking the X button in the top right corner of the window will NOT close the program. It will simply hide the program.


Using EasyDatabase with an Internet Application

--pending release of future EasyDatabase Version


What is ODBC?

ODBC stands for 'Open Database Connectivity'. ODBC provides a standard, uniform way of interfacing to a variety of databases. ODBC uses SQL (Structured Query Language) as its database access language.

Note: The ODBC option can be used with EasyDatabase, but you do NOT need to know ODBC in order to use EasyDatabase. This section as well as other ODBC sections are for those users using ODBC with EasyDatabase. Most users will not need this section.


What is SQL?

Note: The SQL option can be used with EasyDatabase, but you do NOT need to know SQL in order to use EasyDatabase. This section as well as the sections 'SQL Tutorial with EasyDatabase' and 'EasyDatabase SQL Reference' are for those users using SQL with EasyDatabase. Most users will not need this section.

'SQL' is an abbreviation for 'Structured Query Language'.

SQL is a standard language to allow you query a database, retrieve data from a database, or write data to a database. Just as Microsoft Access or Micrsoft SQL Server, or Oracle Database, or IBM DB2 users can use SQL to access their databases, so can EasyDatabase users use SQL to access the EasyDatabase database.

Like all other databases, an EasyDatabase database consists of tables, although these are often hidden from the main screen, in order to keep EasyDatabase as easy to use as possible. A table consists of rows or 'records' with columns or 'fields' of data.

Players

Name | Age | City
John | 14 | Mainville
Robert | 15 | Scarborough
Glenda | 14 | Scarborough

In the table above, there are three records (rows) of data. The headings of the table are headings of the columns or 'fields'. John, Robert and Glenda (using the 'Name' field) are the starts of the three records.

The table should have a name, in the above example, we have called it Players.

A sample SQL operation we could perform on this table would be ask for all the names of the players in this table:

SELECT Name FROM Players ORDER BY Name

The computer would return:

Name

Glenda

John

Robert

Some SQL Statements:

SELECT - read data from a database table

eg, SELECT Name,Age FROM Players (will list both name and age columns in result set)

eg, SELECT + FROM Players (selects all columns)

eg, SELECT Age FROM Players WHERE age=14

eg, SELECT Name FROM Players WHERE City LIKE 'M%" (selects cities starting with an 'M')

eg, SELECT * FROM Players WHERE (City='Mainville' AND Age=14)

eg, SELECT * FROM Players WHERE (City='Mainville' OR Age=15)

eg, SELECT * FROM Players WHERE Age BETWEEN 1 AND 14

eg, SELECT DISTINCT Name FROM Players (if same name many times in 'Name' field, will return only once)

eg, SELECT Name FROM Players ORDER BY Name (results are ordered alphabetically according to Name column)

eg, SELECT COUNT (*) FROM Players WHERE Age > 10 (will return number of records where Age>10)

eg, SELECT AVG(Age) FROM Players (returns average age of Age column)

eg, SELECT MAX(Age) FROM Players (returns maximum age in the Age column)

eg, SELECT MIN(Age) FROM Players (returns minimum age in the Age column)

eg, SELECT SUM(Age) FROM Players (returns sum of ages in the Age column)

eg, SELECT Name, SUM(Age) FROM Players GROUP BY Name HAVING SUM (Age) > 10 (returns the sum of ages for each common name in the table; in above example table would return each name followed by age since only one incident of each name; the HAVING clause is not applicable to this table, but is useful in more complex tables)

eg, SELECT Name AS TeamMember FROM Players ORDER BY Name (returns results with alias heading of 'TeamMember' instead of where 'Name' would appear)

UPDATE - update data to a database table

eg, UPDATE Players SET Age='17' WHERE Name='Glenda'

DELETE - delete data from a database table

eg, DELETE FROM Players WHERE Age=14 (deletes rows where Age=14 )

INSERT INTO - insert data into a database table

eg, INSERT INTO Players VALUES ('Ronald', '14', 'Marsville') (inserts a new row into table)

CREATE TABLE - create a new database table

eg, CREATE TABLE Managers (Name varchar(30), Sponsor varchar(20), Age int(2)) (This example would create a new table called Managers having in its records two fields - the field Name which is a string up to 30 characters, the field Sponsor which is a string up to 20 characters, and the field Age which is an integer up to 2 digits in length)

ALTER TABLE - change a database table

- use to add or drop columns in a table

DROP TABLE - delete a database table

eg, DROP TABLE Player

CREATE INDEX - create an index

eg, CREATE INDEX NameIndex ON Player (Name) (Creates an index for the column 'Name' -- user cannot see the index but when a query involving this field occurs, it will occur much quicker.)

DROP INDEX - delete an index

eg, DROP INDEX Player.NameIndex

Working with Multiple Tables

SQL can work with data from multiple tables.

Consider the table Players from above, and another table Managers :

Players

Name | Age | City
John | 14 | Mainville
Robert | 15 | Scarborough
Glenda | 14 | Scarborough

Managers

ManagerName | City
Pierre | Toronto
Michael | Esdtot
Lorne | Mainville

SELECT Players.Name, Managers.ManagerName FROM Players, Managers WHERE Players.City=Managers.City will return the following result set:

Name | ManagerName
John | Lorne

The 'JOIN' command can also be used in a variety of ways to select data from multiple tables. Examples are giving in the EasyDatabase SQL Tutorial.


SQL Tutorial

Note: The SQL option can be used with EasyDatabase, but you do NOT need to know SQL in order to use EasyDatabase. This section as well as other SQL sections are for those users using SQL with EasyDatabase. Most users will not need this section.

-- Pending release of future version of EasyDatabase


EasyDatabase SQL Examples

Note: The SQL option can be used with EasyDatabase, but you do NOT need to know SQL in order to use EasyDatabase. This section as well as other SQL sections are for those users using SQL with EasyDatabase. Most users will not need this section.

-- Pending release of future version of EasyDatabase


EasyDatabase SQL Reference

EasyDatabase SQL References

Note: The SQL option can be used with EasyDatabase, but you do NOT need to know SQL in order to use EasyDatabase. This section as well as other SQL sections are for those users using SQL with EasyDatabase. Most users will not need this section.

-- Pending release of future version of EasyDatabase


EasyDatabase Templates: Contacts.edb

Contacts.edb is a sample database for keeping track of telephone numbers, addresses, and other contact information.

To open Contacts.edb:

  1. In EasyDatabase, go to the File menu and click Open. Or, press Ctrl+O on your keyboard.

  2. An Open window will appear.

  3. Click on the Look in box and select the following path: C:\Program Files\EasyOffice 2001\TEMPLATES.

  4. Click on Contacts.edb, then click the Open button.

  5. A Login window will appear.

  6. Click on the User Name box, and enter 0.

  7. Click OK. Contacts.edb will be opened.


EasyDatabase Templates: Students.edb

Students.edb is a sample database for teachers keeping track of student marks. It includes summary reports that calculate class and student averages.

To open Students.edb:

  1. In EasyDatabase, go to the File menu and click Open. Or, press Ctrl+O on your keyboard.

  2. An Open window will appear.

  3. Click on the Look in box and select the following path: C:\Program Files\EasyOffice 2001\TEMPLATES.

  4. Click on Students.edb, then click the Open button.

  5. A Login window will appear.

  6. Click on the User Name box, and enter 0.

  7. Click OK. Students.edb will be opened.